commit dcebfb6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-04

    Update NEWS for v0.9.20131104
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit c5e7cc8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-04

    media/vimeo.lua: Mark as FIXME
    
    Notes:
    * http://thread.gmane.org/gmane.comp.web.flash.quvi/358
    * Affects: {0.4, 0.9}
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
tests/media/tests.mk

commit 81f000a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-29

    tests: media_liveleak: Replace URL for embedded youtube content
    
    The previously used video was removed from the liveleak website.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_liveleak.c

commit ab8c084
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-29

    media/lego.lua: Update ID pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/lego.lua

commit 269a541
Merge: e29211f 92702c1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-24

    Merge branch 'tg/next__media_port_videobash.lua' into next

commit e29211f
Merge: efbc2d4 d017782
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-24

    Merge branch 'tg/next__media_port_tagtele.lua' into next

commit efbc2d4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-24

    FIX: media/vimeo.lua: Vimeo.normalize: Escape pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/vimeo.lua

commit 92702c1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    tests: Add a test for media/videobash.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_videobash.c
tests/media/tests.mk
tests/media/videobash.mk

commit d017782
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    tests: Add a test for media/tagtele.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_tagtele.c
tests/media/tagtele.mk
tests/media/tests.mk

commit cc40857
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    media/tagtele.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Remove now obsolete code (e.g. self.host_id)
    * Use LuaJSON to parse the media stream URL
    * Parse all available media streams
    * Apply 2-space indentation
    * Update vim modeline
    
    Notable changes:
    * Skip: playlist fetch: the page HTML contains the stream URL data
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tagtele.lua

commit 6e73a9a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    media/tagtele.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tagtele.lua

commit 60da497
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    media/tagtele.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `Tagtele.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tagtele.lua

commit af8dcb3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    media/tagtele.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/340
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tagtele.lua

commit b712d04
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    media/videobash.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Remove now obsolete code (e.g. self.host_id)
    * Apply 2-space indentation
    * Update vim modeline
    * Parse `duration_ms'
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/videobash.lua

commit b1b1d5f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    media/videobash.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/videobash.lua

commit fa6ef82
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    media/videobash.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `Videobash.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/videobash.lua

commit 5a1a49b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    media/videobash.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/336
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/videobash.lua

commit 6adcc15
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    Move website/videobash.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/videobash.lua
share/media/videobash.lua

commit 118a92e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-23

    Move website/tagtele.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/tagtele.lua
share/media/tagtele.lua

commit a8b20df
Merge: a8958f6 52a702f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-20

    Merge branch 'tg/next__media_port_metacafe.lua' into next

commit 52a702f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-20

    tests: Add test for media/metacafe.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_metacafe.c
tests/media/metacafe.mk
tests/media/tests.mk

commit b13ee5f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-20

    media/metacafe.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Rewrite `Metacafe.redirectp' as `Metacafe.is_affiliate'
    * Remove now obsolete code (e.g. self.host_id)
    * Use LuaJSON to parse the media stream URL
    * Parse all available media streams
    * Apply 2-space indentation
    * Parse duration (ms)
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/metacafe.lua

commit e0731b8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-20

    media/metacafe.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/metacafe.lua

commit 3231cbf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-20

    media/metacafe.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `Metacafe.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/metacafe.lua

commit 0593317
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-20

    media/metacafe.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/334
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/metacafe.lua

commit 47d3d3d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-20

    Move website/metacafe.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/metacafe.lua
share/media/metacafe.lua

commit a8958f6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-20

    media/arte.lua: Arte.to_id: Return ID in lowercase
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/arte.lua

commit cf65853
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-20

    media/arte.lua: Use the 'a?b:c' -idiom
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/arte.lua

commit 485ce77
Author: Mohamed El Morabity <melmorabity@fedoraproject.org>
Date:   2013-10-20

    Fix support for arte.tv
    
    * Videos are now hosted on arte.tv/guide; for new videos, there's a
      redirection from videos.arte.tv to arte.tv/guide
    
    * For a given video, all stream datas are now provided by a JSON file
      instead of a XML file as before
    
    * In this JSON data file, an ID (versionProg) describes the language of
      each available stream:
    
        versionProg == 1 -> default language version, matching the video URL
                            language
    
        versionProg == 2 -> alternate language version
    
        versionProg == 3 -> original version with default language subtitles
    
        versionProg == 8 -> default language version with subtitle for
                            hard-of-hearing
    
    * I took the liberty of adding the stream protocol to the generated
      stream ID, to distinguish same-quality videos (some videos are
      available through HTTP, in addition of RTMP, for some MD/LD videos,
      probably for mobile phones
    
    * The tests were updated to reflect these changes
    
    Signed-off-by: Mohamed El Morabity <melmorabity@fedoraproject.org>
    Reviewed-by: Toni Gundogdu <legatvs@gmail.com>

share/media/arte.lua
tests/media/media_arte.c

commit 1cc2080
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-16

    cleanup: table.concat: Do not call with an empty sep value
    
    As this is not required, nor a required arg.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/hex.lua
share/media/ardmediathek.lua
share/media/clipfish.lua
share/media/lego.lua
share/media/myspass.lua
share/media/sapo.lua
share/media/spiegel.lua
share/media/tvlux.lua
share/media/videa.lua
share/media/youtube.lua
share/playlist/youtube.lua
share/scan/youtube.lua
share/subtitle/export/subrip.lua
share/subtitle/youtube.lua
share/util/resolve_redirections.lua

commit 7e09489
Merge: 19e0093 b5f92db
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-15

    Merge branch 'tg/next__add_support__media/majestyc.lua' into next

commit 19e0093
Merge: 182bfa8 d79f9a2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-15

    Merge branch 'tg/next__add_support__{media/scan}/vzaar.lua' into next

commit 182bfa8
Merge: bf18023 32a5bb9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-15

    Merge branch 'tg/next__media_port_tapuz.lua' into next

commit d79f9a2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-15

    tests: Add a test for scan/vzaar.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/scan/scan_vzaar.c
tests/scan/tests.mk
tests/scan/vzaar.mk

commit 2d8bfc3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-15

    scan: Add support for embedded vzaar.com media URLs
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/scan/vzaar.lua

commit e160ebe
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-15

    tests: Add a test for media/vzaar.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_vzaar.c
tests/media/tests.mk
tests/media/vzaar.mk

commit 343db67
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-15

    media: Add support for vzaar.com
    
    See also:
    * https://www.mail-archive.com/quvi-devel@lists.sourceforge.net/msg00346.html
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/media/vzaar.lua

commit b5f92db
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    tests: Add a test for media/majestyc.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/majestyc.mk
tests/media/media_majestyc.c
tests/media/tests.mk

commit 47a1639
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    media: Add support for tube.majestyc.net
    
    See also:
    * https://www.mail-archive.com/quvi-devel@lists.sourceforge.net/msg00347.html
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/media/majestyc.lua

commit 32a5bb9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    tests: Add a test for media/tapuz.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_tapuz.c
tests/media/tapuz.mk
tests/media/tests.mk

commit 5f5bb57
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    media/tapuz.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Use LuaExpat to parse the media {title,stream,thumb} properties
    * Remove now obsolete code (e.g. self.host_id)
    * Apply 2-space indentation
    * Update vim modeline
    * Parse duration (ms)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tapuz.lua

commit 2f9cb5f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    media/tapuz.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tapuz.lua

commit b44e053
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    media/tapuz.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `Tapuz.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tapuz.lua

commit 22c0ba7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    media/tapuz.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/335
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tapuz.lua

commit f80a844
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    Move website/tapuz.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/tapuz.lua
share/media/tapuz.lua

commit bf18023
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    media/liveleak.lua: Ignore fac3book iframe src values
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/liveleak.lua

commit 95bfe8e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-12

    Update NEWS for v0.9.20131012
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit d18b41a
Merge: 808494b e7ab635
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-12

    Merge branch 'tg/next__media_port_1tvru.lua' into next

commit e7ab635
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-10

    tests: Add a test for media/1tvru.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/1tvru.mk
tests/media/media_1tvru.c
tests/media/tests.mk

commit 193755f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-10

    media/1tvru.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Check for 'og:video' to determine if input URL contains a video
    * Use LuaJSON to parse the media {title,stream,thumb} properties
    * Use 'windows-1251' charset encoding with quvi.http.fetch
    * Media duration (ms) is now parsed and returned
    * Remove now obsolete code (e.g. self.host_id)
    * Apply 2-space indentation
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/1tvru.lua

commit 296a34e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-10

    media/1tvru.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/1tvru.lua

commit 853993f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-10

    media/1tvru.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Allow HTTPS input URLs (media streams will remain HTTP nonetheless)
    * Allow '/sprojects_utro_video/' in addition to '/sprojects_edition/'
    * Implement `OTvRu.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/1tvru.lua

commit 970da57
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-10

    media/1tvru.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/333
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/1tvru.lua

commit 10b90cc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-10

    Move website/1tvru.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/1tvru.lua
share/media/1tvru.lua

commit 808494b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-08

    FIX: media/clipfish.lua: Raise "no match: media stream URL"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/clipfish.lua

commit 3fa91eb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-08

    quvi/youtube: normalize: Reimplement
    
    Reimplement using helper functions. Try to improve readability. Add more
    test cases.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/youtube.lua

commit ffaadfd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-08

    FIX: quvi/youtube: ident: query: "v=" may not be first param
    
    Do not assume the URL 'v=' parameter of the 'query' element to be the
    first parameter.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/youtube.lua

commit fe4d72b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-07

    quvi/youtube: normalize: Process YouTube URLs only
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/youtube.lua

commit 4ac3938
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-07

    FIX: media/sevenload.lua: JSON extraction pattern
    
    Otherwise LuaJSON would exit with an error:
    ../lua/5.1/json/decode/state.lua:151: Value set when one already in slot
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sevenload.lua

commit 8e3c108
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-07

    tests: media_lego: Add a test for "/videos"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_lego.c

commit 8799938
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-07

    media/lego.lua: Add support for "/videos?video=ID"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/lego.lua

commit a2fc538
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-07

    tests: media_youtube: Add test for an embedded media URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_youtube.c

commit cf39991
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-07

    FIX: resolve_redirections.lua: Normalize YouTube input URL
    
    libquvi will always attempt to resolve URL redirections.  This means
    that quvi_media_new (for example) will always resolve first and only
    then pass the input URL to the media scripts to determine the support
    
    Problem:
      - g00gle now redirects the embedded media URLs to the API pages
    
      - This causes libquvi to return the "no support" because the
        destination URL looks nothing like a typical media page URL
    
    Solution:
      - "normalize" (quvi/youtube) the input URL before we try to resolve
        URL redirections
    
      - "normalize" will convert the embedded media URLs to media page URLs,
        which can then be passed to libquvi/libcurl for URL resolving
    
    Notes:
      - quvi_supports function skips resolving altogether unless online
        check is forced
    
      - This is the reason "normalize" must still be called in "ident"
        function of the media script, even if this script does so
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/util/resolve_redirections.lua

commit 4e5bef3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-06

    tests: scan_youtube: Use different shortened test URL
    
    The old one no longer contains any embedded media URLs.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/scan/scan_youtube.c

commit eaa754a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-06

    tests: scan_youtube: Remove obsolete test URL
    
    The page embeds the videos using the now defunct "youtube-nocookie.com"
    domain.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/scan/scan_youtube.c

commit 53c0a44
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-06

    FIX: media/funnyordie.lua: Set "Accept-Encoding" HTTP header
    
    For an unknown reason when:
    1) libcurl sends "Accept-Encoding: deflate, gzip" by default
    2) server returns gzipped data without "Encoding: gzip" within the reply
    
    Causing the following:
    1) libcurl skips decompression and passes the compressed data to libquvi
    2) libquvi passes the compressed data to the media/funnyordie.lua
    3) script fails to match any of the patterns due to the compressed data
    
    This commit makes the script override the default "Accept-Encoding"
    value with one that seems to work with the servers and libcurl.
    
    Package: libcurl4-gnutls-dev
    Version: 7.26.0-1+wheezy3
    
    Versions of packages libcurl4-gnutls-dev depends on:
    ii  libc6-dev [libc-dev]  2.13-38
    ii  libcurl3-gnutls       7.26.0-1+wheezy3
    ii  libgnutls-dev         2.12.20-7
    ii  libidn11-dev          1.25-2
    ii  libkrb5-dev           1.10.1+dfsg-5+deb7u1
    ii  libldap2-dev          2.4.31-1+nmu2
    ii  librtmp-dev           2.4+20111222.git4e06e21-1
    ii  libssh2-1-dev         1.4.2-1.1
    ii  zlib1g-dev            1:1.2.7.dfsg-1
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/funnyordie.lua

commit 18b6caf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-04

    media/liveleak.lua: Parse stream URLs from "config:"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/liveleak.lua

commit 7c7dcb9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-04

    media/liveleak.lua: Sanitize JSON
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/liveleak.lua

commit 8bec9ac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-03

    DOC: quvi-object-3rdparty: Add LuaJSON
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-modules-3rdparty.7.txt

commit 2db8e89
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-01

    tests: media_liveleak: Add a multistream test
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_liveleak.c

commit 0a34094
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-01

    media/liveleak.lua: Add support for >1 streams
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/liveleak.lua

commit 0f692c7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-30

    FIX: media/liveleak.lua: Sanitize input for LuaJSON
    
    Otherwise the script will throw an error that looks like:
      /usr/share/lua/5.1/json/decode/util.lua:40: unexpected character @
      character: 733 17:16 [e] line:
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/liveleak.lua

commit a804aa0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-29

    tests: media_funnyordie: Update URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_funnyordie.c

commit 364ad53
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-28

    FIX: media/funnyordie.lua: Media stream URL pattern
    
    This was fixed by 41a7516647, which removed the pattern that appears to
    work again. Keep both patterns.
    
    Other changes:
    * Insert only those media URLs that match the quality-container pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/funnyordie.lua

commit 0525682
Merge: fbf64aa 6285c26
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-28

    Merge branch 'tg/next__media_port_myspass.lua' into next

commit 6285c26
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-28

    tests: Add a test for media/myspass.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_myspass.c
tests/media/myspass.mk
tests/media/tests.mk

commit 4d5db98
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-28

    media/myspass.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Media title format change -> (:format: s:season:e:episode: - :title:)
    * Implement `MySpass.{iter_streams,to_title,to_duration_ms}' functions
    * Use LuaExpat (lxp) to parse the media properties
    * Media duration (ms) is now parsed and returned
    * Remove now obsolete code (e.g. self.host_id)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/myspass.lua

commit 2ebdb84
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-28

    media/myspass.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/myspass.lua

commit 6e580da
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-28

    media/myspass.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `MySpass.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/myspass.lua

commit 38fd4bf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-28

    media/myspass.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/328
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/myspass.lua

commit 9f40d8d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-28

    Move website/myspass.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/myspass.lua
share/media/myspass.lua

commit fbf64aa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-27

    share/Makefile.am: Add media/ina.lua to dist_media_DATA
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am

commit eb41fd3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-27

    tests: Add a test for media/ina.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/ina.mk
tests/media/media_ina.c
tests/media/tests.mk

commit 5cb76af
Author: Mohamed El Morabity <melmorabity@fedoraproject.org>
Date:   2013-09-26

    Add support for ina.fr
    
    Signed-off-by: Mohamed El Morabity <melmorabity@fedoraproject.org>
    Reviewed-by: Toni Gundogdu <legatvs@gmail.com>

share/media/ina.lua

commit cb8308f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-27

    share/README: Add Lua {resources,modules}
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/README

commit e8ad881
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-27

    Install with share/README
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am

commit aedecad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-13

    FIX: media/youtube.lua: Unescape using quvi/util
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/youtube.lua

commit 33b172f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-11

    scan/youtube.lua: Return HTTPS media URLs if input URL uses it
    
    Other:
    * Remove handling of youtube-nocookie.com (domain no longer operational)
    * Create strings using tables (the "Lua way")
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/scan/youtube.lua

commit c58c7b5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-11

    subtitle/youtube.lua: Use HTTPS if input URL uses it
    
    Use HTTPS throughout the operation if the input URL is an HTTPS URL.
    The script previously made the subtitle queries over the HTTP even if
    the input URL was given as an HTTPS URL.
    
    Other:
    * Return the language URLs using the input URL scheme
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/subtitle/youtube.lua

commit 18068fe
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-11

    playlist/youtube.lua: Use HTTPS if input URL uses it
    
    Use HTTPS throughout the operation if the input URL is an HTTPS URL.
    The script previously made the playlist queries over the HTTP even if
    the input URL was given as an HTTPS URL.
    
    Other:
    * Return the media URLs using the input URL scheme
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/youtube.lua

commit e6a6587
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-11

    media/youtube.lua: Use HTTPS if input URL uses it
    
    Use HTTPS throughout the operation if the input URL is an HTTPS URL.
    The script previously made the video info queries over the HTTP even if
    the input URL was given as an HTTPS URL.
    
    Note that the media stream URLs are only available over HTTP; the
    service apparently supports HTTP media stream transfers only, and any
    attempts to force HTTPS will result in HTTP/403.
    
    Other:
    * Cleanup and revise for readability
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/youtube.lua

commit 3d1d706
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-09

    quvi/youtube.lua: normalize: Revise, remove "nocookie" handling
    
    Revise:
    * Remove youtube-nocookie.com handling (no longer operational)
    * Add test_normalize function for testing purposes
    * Improve code readability
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/youtube.lua

commit 12efe62
Merge: 5493d91 43df58c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-07

    Merge branch 'tg/next__media_port_lego.lua' into next

commit 43df58c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-07

    tests: Add a test for media/lego.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/lego.mk
tests/media/media_lego.c
tests/media/tests.mk

commit 317de20
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-07

    media/lego.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Remove now obsolete code (e.g. self.host_id)
    * Implement `Lego.iter_streams' function
    * Apply 2-space indentation
    * Add missing vim modeline
    * Parse thumbnail URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/lego.lua

commit f617614
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-07

    media/lego.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/lego.lua

commit 5343385
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-07

    media/lego.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `Lego.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/lego.lua

commit 5b3daf1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-07

    media/lego.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/325
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/lego.lua

commit 1bfae6f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-07

    Move website/lego.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/lego.lua
share/media/lego.lua

commit 5493d91
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-03

    Update NEWS for v0.9.20130903
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit bf7a356
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    DOC: manpage: footer: Revise "FURTHER RESOURCES"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/footer.txt

commit 8c3be23
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    FIX: Install cookie.lua to common/quvi/http/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am

commit bd31628
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    FIX: media/dailymotion.lua: sequence pattern (PORTpt4)
    
    Backported from the 0.4 series [3d71c75]
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/dailymotion.lua

commit b70805f
Merge: 6b349f7 f086380
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-29

    Merge branch 'tg/next__redo_version_file' into next

commit f086380
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-29

    Do not bundle 'version' file, have install create it
    
    Instead of creating the 'version' file to be distributed using dist-hook
    have the install-data-hook create the file making it possible to store
    additional details (e.g. build opts) to the file.
    
    install-data-hook:
      Create the 'version' file. Use ini-style format.  Add configuration
      invocation command line options as 'configuration' to the file.
    
    uninstall-hook:
      * Remove symbolic link "major.minor"
      * Remove current version dir
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am

commit e28e35e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-29

    configure.ac: Add configure invocation cmdline opts shell variable
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 6b349f7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-26

    AC_PREREQ: Bump to 2.69
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 07c0d41
Author: Bastien Nocera <hadess@hadess.net>
Date:   2013-08-24

    media/guardian.lua: Also support "old" domain name
    
    The old "guardian.co.uk" domain name still works, so
    detect older URLs as working too, without the need to access
    the network, or check for redirects.
    
    Signed-off-by: Bastien Nocera <hadess@hadess.net>

share/media/guardian.lua

commit 3df38e0
Author: Kerrick Staley <kerrick@kerrickstaley.com>
Date:   2013-08-21

    Use subdir-objects Automake option
    
    If you don't pass subdir-objects, Automake 1.14+ will complain loudly
    and fail:
    
    [...]
    automake: warnings are treated as errors
    tests/media/101greatgoals.mk:2: warning: source file
    'media/media_101greatgoals.c' is in a subdirectory,
    tests/media/101greatgoals.mk:2: but option 'subdir-objects' is disabled
    tests/Makefile.am:21:   'tests/media/tests.mk' included from here
    tests/media/tests.mk:1:   'tests/media/101greatgoals.mk' included from
    here
    automake: warning: possible forward-incompatibility.
    automake: At least a source file is in a subdirectory, but the 'subdir-objects'
    automake: automake option hasn't been enabled.  For now, the corresponding output
    automake: object file(s) will be placed in the top-level directory.  However,
    automake: this behaviour will change in future Automake versions: they will
    automake: unconditionally cause object files to be placed in the same subdirectory
    automake: of the corresponding sources.
    automake: You are advised to start using 'subdir-objects' option throughout your
    automake: project, to avoid future incompatibilities.
    tests/media/ardmediathek.mk:2: warning: source file
    'media/media_ardmediathek.c' is in a subdirectory,
    tests/media/ardmediathek.mk:2: but option 'subdir-objects' is disabled
    [...]
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 41a7516
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-20

    FIX: media/funnyordie.lua: Stream URL pattern
    
    Update the media stream URL pattern to reflect the recent changes to the
    website. Look for the video/mp4 content only.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/funnyordie.lua

commit 6dc919b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-05

    Update NEWS for v0.9.20130805
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 202023c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    tests: media_senat: Update expected title
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_senat.c

commit a6b4e29
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    tests: media_publicsenat: Update expected title
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_publicsenat.c

commit 71e1133
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    tests: media_guardian: Additional test URL, update media IDs
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_guardian.c

commit 9e18bf6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    FIX: media/guardian.lua: Multiple patterns
    
    Notable changes:
    * Update to support the new domain name ("theguardian.com")
    * Add Guardian.parse_duration: use an additional pattern
    * Update media stream URL pattern
    * Remove "- video" from title
    * Parse video {width,height}
    * Update media ID pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/guardian.lua

commit c530717
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    tests: media/funnyordie.c: Change test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_funnyordie.c

commit 666a104
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    tests: media_dailymotion.c: Update test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_dailymotion.c

commit c147a7d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    tests: media_clipfish.c: Update test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_clipfish.c

commit d85d71e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    Mark media/charlierose.lua as FIXME
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
tests/media/tests.mk

commit 85f885e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    Mark media/break.lua as FIXME
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
tests/media/tests.mk

commit 8113266
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-04

    FIX: tests: Use quvi_errcode instead of qerr
    
    libquvi v0.9.2 introduced `quvi_errcode' which replaces the use of
    QUVI_INFO_ERROR_CODE (of `quvi_get').
    
    Make the necessary changes to use `quvi_errcode' instead of `qerr' which
    wrapped quvi_get with QUVI_INFO_ERROR_CODE.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/Makefile.am
tests/lib/qerr.c
tests/lib/qm_test.c
tests/lib/qp_test.c
tests/lib/qs_test.c
tests/lib/qsub_test.c
tests/lib/tests.h
tests/subtitle/subtitle_youtube.c

commit 1f118a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-04

    configure.ac: Require a2x when building from git
    
    Otherwise make in the doc/man7 will fail as the manpages are missing.
    Backported from quvi (7301c459).
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 01f8b03
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    configure.ac: Add a vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit d7fb92e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-19

    Update NEWS for v0.9.20130619
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit a24b7aa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-18

    media/guardian.lua: Check for expired content (BACKPORTpt4)
    
    * Backported from maint-0.4 (22ff394)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/guardian.lua

commit 5e836ec
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-17

    FIX: media/spiegel.lua: title pattern (BACKPORTpt4)
    
    Other:
    * Add an additional title pattern to fall back to
    * Backported from maint-0.4 (20e95ca)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/spiegel.lua

commit 751bf6d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-11

    quvi/util: Add escape_magic function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/util.lua

commit c2a520f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-04

    FIX: tests: Unset ok flag (see also 852c871)
    
    Related to 852c871 which removed the use of gtester-report.  That patch
    removed also the "ok=;" which is required to indicate that an error
    occurred while the tests were run.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/Makefile.am

commit bcc1e66
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-04

    README: Update Requirements with Wheezy packages
    
    Use the Wheezy+ package names with the aptitude(1) examples.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 63d560a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-04

    FIX: media/break.lua: Break.can_parse_url: path pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/break.lua

commit d04e115
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-04

    Remove media/academicearth.lua
    
    academicearth.org now links to YouTube video pages. The "elective"
    videos are (AFAICT) HTML5 videos and there are only a handful of those
    at the time of writing this.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/media/academicearth.lua
tests/media/academicearth.mk
tests/media/media_academicearth.c
tests/media/tests.mk

commit d3f57c8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-04

    tests: media_101greatgoals: Update test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_101greatgoals.c

commit 852c871
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-04

    tests: Do not invoke gtester-report
    
    This results in:
    
      Traceback (most recent call last):
        File "/usr/bin/gtester-report", line 492, in <module>
          main()
        File "/usr/bin/gtester-report", line 486, in main
          HTMLReportWriter(rr.get_info(), rr.binary_list()).printout()
        File "/usr/bin/gtester-report", line 350, in printout
          self.handle_info ()
        File "/usr/bin/gtester-report", line 244, in handle_info
          self.oprint ('<h3>Package: %(package)s, version: \
                        %(version)s</h3>\n' % self.info)
      KeyError: 'package'
    
    $ python --version
    Python 2.7.3
    $ gtester -v
    gtester version 2.32.4
    $ gtester-report -v
    gtester-report (GLib utils) version 0.0-uninstalled.
    
    See also:
    * https://bugzilla.gnome.org/show_bug.cgi?id=668035
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/Makefile.am

commit ec31ede
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-20

    Update NEWS for v0.9.20130520
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit c805c77
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-20

    README: Requirements: Use "sudo aptitude"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 550db06
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    gen-news.sh: Do not insert date or author
    
    * Release date is now part of the package version
    * Release author info was trivial
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit 9fb0f82
Merge: 3999f1b 676c9a2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    Merge branch 'tg/next__cleanup_playlist_tests' into next

commit 676c9a2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    tests: playlist_soundcloud: Update URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/playlist/playlist_soundcloud.c

commit 63af122
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    tests: playlist_youtube: Cleanup test URLs
    
    Remove all media URLs from the list.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/playlist/playlist_youtube.c

commit 3999f1b
Merge: 4f905fd fb52ce7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    Merge branch 'tg/next__improve_youtube_support' into next

commit fb52ce7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    quvi/youtube.lua: can_parse_url: Improve patterns
    
    Use more strict patterns with the query and the path elements of the
    (media) URL.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/youtube.lua

commit 6c88176
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    playlist/youtube.lua: Improve patterns
    
    Use more strict pattern with URL paths. Add a pattern for URL query
    element. This script will no longer accept URLs that are clearly media
    URLs, not playlist URLs, e.g.:
      http://www.youtube.com/watch?v=...&list=...&index=1
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/youtube.lua

commit 4f905fd
Merge: cb04008 99b5ece
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    Merge branch 'tg/next__improve_soundcloud_support' into next

commit 99b5ece
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    media/soundcloud.lua: Improve path patterns
    
    Exclude, specifically, any URLs that have the typical properties of a
    soundcloud playlist URL.
    
    Remove the path pattern intented for embedded media URLs:
      The `Soundcloud.normalize' should handle this already.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/soundcloud.lua

commit db54917
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    playlist/soundcloud.lua: Improve path pattern
    
    Use a more strict URL path pattern to determine whether this URL can be
    parsed.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/soundcloud.lua

commit cb04008
Merge: 8da80c4 411fe60
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    Merge branch 'tg/next__media_port_ted.lua' into next

commit 411fe60
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    tests: Add a test for media/ted.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_ted.c
tests/media/ted.mk
tests/media/tests.mk

commit abcb2fd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    media/ted.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Implement `Ted.iter_streams' function w/ improved stream parsing[1]
    * Implement additional `Ted' functions, e.g. `Ted.ch_best'
    * Parse additional properties[2] for self-hosted media
    * Remove now obsolete code (e.g. self.host_id)
    * Apply 2-space indentation
    * Update vim modeline
    
    [1]: Unlike the 0.4 equivalent, this rewrite parses additional
         self-hosted media streams, both "HTML" (HTTP) and "streamer" (RTMP)
    
    [2]: duration_ms, video={width, height, bitrate_kbit_s}
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/ted.lua

commit f362f03
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    media/ted.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/ted.lua

commit 2e7bbc1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    media/ted.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `Ted.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/ted.lua

commit 0edb46c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    media/ted.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/243
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/ted.lua

commit dc2bbd3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    Move website/ted.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/ted.lua
share/media/ted.lua

commit 2576e29
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    FIX: website/ted.lua: Check for extern media
    
    * Rewrite `Ted.is_external' func using a new embed URL pattern
    * Revise `parse' function for minor style changes
    * Update thumbnail_url pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/ted.lua

commit 8da80c4
Merge: fa47162 0bd4c69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    Merge branch 'tg/next__media_port_videa.lua' into next

commit 0bd4c69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    tests: Add a test for media/videa.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_videa.c
tests/media/tests.mk
tests/media/videa.mk

commit 25f6219
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    media/videa.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Parse additional media properties {duration_ms,width,height}
    * Remove now obsolete code (e.g. self.host_id)
    * Implement `Videa.iter_streams' function
    * Apply 2-space indentation
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/videa.lua

commit 8e64b91
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    media/videa.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/videa.lua

commit b22c2b5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    media/videa.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `Videa.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/videa.lua

commit 32cb98d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    media/videa.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/243
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/videa.lua

commit 784828e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    Move website/videa.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/videa.lua
share/media/videa.lua

commit fa47162
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-17

    Add config.aux/ar-lib to .gitignore
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

.gitignore

commit 125d71e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-13

    tests: Define LIBQUVI_EXCLUSIVE_SCRIPTS_DIR
    
    Refer to the libquvi(3) manpage for additional info.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/Makefile.am

commit f94b184
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-10

    quvi/util: Remove the unused `tokenize' function
    
    This module function did nothing more than wrapped the string.gmatch
    function.
    
    Other:
    * Remove an extra whitespace
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/util.lua

commit 01e6c03
Merge: 3de7f36 01d72c9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    Merge branch 'tg/next__media_port_101greatgoals.lua' into next

commit 01d72c9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    tests: Add a test for media/101greatgoals.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/101greatgoals.mk
tests/media/media_101greatgoals.c
tests/media/tests.mk

commit bf141a2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    media/101greatgoals.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Remove now obsolete code (e.g. self.host_id)
    * Apply 2-space indentation
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/101greatgoals.lua

commit dc04140
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    media/101greatgoals.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/101greatgoals.lua

commit 4b3860e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    media/101greatgoals.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `HaOgg.can_parse_url'
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/101greatgoals.lua

commit 09f15f9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    media/101greatgoals.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/101greatgoals.lua

commit 263da05
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    Move website/101greatgoals.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/101greatgoals.lua
share/media/101greatgoals.lua

commit 74a9474
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-05

    FIX: website/101greatgoals.lua: embedded URL patterns
    
    Improve the patterns used to parse the embedded media URLs.  Do not
    attempt to check for the known hosts; leave the determination for
    libquvi(-scripts) to do.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/101greatgoals.lua

commit 3de7f36
Merge: a727940 f91f5cd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    Merge branch 'tg/next__media_port_website/ardmediathek.lua' into next

commit f91f5cd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    tests: Add a test for media/ardmediathek.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/ardmediathek.mk
tests/media/media_ardmediathek.c
tests/media/tests.mk

commit 401fe5b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-07

    media/ardmediathek.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Remove now obsolete code (e.g. self.host_id)
    * Update vim modeline
    
    ArdMediathek:
    * Reimplement `container_from' as `to_container'
    * Reimplement `test_availability`as `chk_avail'
    * Reimplement `iter_formats' as `iter_streams'
    * Reimplement `quality_from' as `to_quality'
    * Reimplement `height_from' as `to_resolution'
    * Implement `to_encoding'
    * Implement `get_title'
    * Remove `get_config'
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/ardmediathek.lua

commit e19304b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-07

    media/ardmediathek.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/ardmediathek.lua

commit bd2a6d3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-07

    media/ardmediathek.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `ArdMediathek.can_parse_url'
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/ardmediathek.lua

commit 904249e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-07

    media/ardmediathek.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/242
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/ardmediathek.lua

commit ccd040e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-07

    Move website/ardmediathek.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/ardmediathek.lua
share/media/ardmediathek.lua

commit a727940
Merge: 5402a01 828a3b4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-05

    Merge branch 'tg/next__media_port_website/clipfish.lua' into next

commit 828a3b4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-05

    tests: Add a test for media/clipfish.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/clipfish.mk
tests/media/media_clipfish.c
tests/media/tests.mk

commit fb5b973
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-05

    media/clipfish.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Parse additional media property `duration_ms'
    * Remove now obsolete code (e.g. self.host_id)
    * Implement `ClipFish.iter_streams'
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/clipfish.lua

commit cacb978
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-05

    media/clipfish.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/clipfish.lua

commit e7f8c15
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-05

    media/clipfish.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Add local table `ClipFish', implement `can_parse_url'
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/clipfish.lua

commit 98b79e0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-05

    media/clipfish.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/clipfish.lua

commit 50573ba
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-05

    Move website/clipfish.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/clipfish.lua
share/media/clipfish.lua

commit 5402a01
Merge: 1fb1dc5 84f8647
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-02

    Merge branch 'tg/next__media_port_bikeradar.lua' into next

commit 84f8647
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-02

    tests: Add a test for media/bikeradar.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/bikeradar.mk
tests/media/media_bikeradar.c
tests/media/tests.mk

commit 59b9ab2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-02

    media/bikeradar.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Remove now obsolete code (e.g. self.host_id)
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/bikeradar.lua

commit f5d2e55
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-02

    media/bikeradar.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/bikeradar.lua

commit 6cdf08b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-02

    media/bikeradar.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Add local table `BikeRadar, implement `can_parse_url'
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/bikeradar.lua

commit d8e517a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-02

    media/bikeradar.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/bikeradar.lua

commit c998567
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-02

    Move website/bikeradar.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/bikeradar.lua
share/media/bikeradar.lua

commit 3b8db05
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    FIX: website/bikeradar.lua: Look for embedURL
    
    Check page HTML for embedded URL, since bikeshed apparently uses YouTube
    to host their media. Set `self.redirect_url' or croak.
    
    * ident: Update media URL pattern
    * parse: Set `self.redirect_url' only, do not parse anything else
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/bikeradar.lua

commit 1fb1dc5
Merge: 868baff 91ff4dd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-02

    Merge branch 'tg/next__media_port_guardian.lua' into next

commit 91ff4dd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-01

    tests: Add a test for media/guardian.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/guardian.mk
tests/media/media_guardian.c
tests/media/tests.mk

commit 6ba5314
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-01

    media/guardian.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Remove now obsolete code (e.g. self.host_id)
    * Implement `Guardian.iter_streams' function
    * Make media {title,ID} properties optional
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/guardian.lua

commit 5f2179d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-01

    media/guardian.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/guardian.lua

commit 882ea0f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-01

    media/guardian.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `Guardian.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/guardian.lua

commit de263b8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-01

    media/guardian.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/guardian.lua

commit 5a18eea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-01

    Move website/guardian.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/guardian.lua
share/media/guardian.lua

commit 0c22060
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    FIX: website/guardian.lua: all patterns
    
    * Remove stream interation (only one appears to be available now)
    * Parse all media properties from the media page
    * Remove unused Guardian.* functions
    * Improve thumbnail URL parsing
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/guardian.lua

commit 868baff
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    quvi/util: Add the `tokenize' function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/util.lua

commit df234cc
Merge: 3537cb9 09936ad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    Merge branch 'tg/next__media_port_liveleak' into next

commit 09936ad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    tests: Add a test for media/liveleak.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/liveleak.mk
tests/media/media_liveleak.c
tests/media/tests.mk

commit 3b7d8e5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    media/liveleak.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Try to set the `qargs.goto_url' if the usual data could not be found
    * Remove now obsolete code (e.g. self.host_id)
    * Make media {title,ID} properties optional
    * Implement `LiveLeak.iter_streams'
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/liveleak.lua

commit fbbf94b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    media/liveleak.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/liveleak.lua

commit bc01ae9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    media/liveleak.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `LiveLeak.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/liveleak.lua

commit 40505f3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    media/liveleak.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/liveleak.lua

commit 36f3bac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-30

    Move website/liveleak.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/liveleak.lua
share/media/liveleak.lua

commit 3537cb9
Merge: bfc7a41 c9ffd37
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    Merge branch 'tg/next__media_port_spiegel.lua' into next

commit c9ffd37
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    tests: Add a test for media/spiegel.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_spiegel.c
tests/media/spiegel.mk
tests/media/tests.mk

commit e048d57
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    media/spiegel.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/spiegel.lua

commit 657f1c1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    media/spiegel.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Re-implement `Spiegel.iter_formats' as `Spiegel_iter_streams'
    * Re-implement `Spiegel.choose_best' as `Spiegel.ch_best'
    * Remove now obsolete code (e.g. self.host_id)
    * Make media title an optional property
    * Implement `Spiegel.iter_streams'
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/spiegel.lua

commit 3e2c0b5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    media/spiegel.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Implement `Spiegel.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/spiegel.lua

commit 7de1213
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    media/spiegel.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/spiegel.lua

commit 8ddc6f3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    Move website/spiegel.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/spiegel.lua
share/media/spiegel.lua

commit 68ea207
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    FIX: website/spiegel.lua: choose_default
    
    Choosing to use the "lowest quality" stream (3gp) as the 'default'
    stream would cause HTTP/404 when the stream was accessed. Although this
    stream is listed among those available ones, it appears to be missing
    for most videos (if not all).
    
    Spiegel.choose_default:
      Return the first available stream as the new 'default' stream.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/spiegel.lua

commit e643041
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    website/spiegel.lua: Parse thumbnail URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/spiegel.lua

commit 59dc71a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    website/spiegel.lua: Parse title from page instead
    
    The page HTML gives us the complete media title.
    * Remove the now obsolete `Spiegel.get_playlist' function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/spiegel.lua

commit bfc7a41
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    tests: media_soundcloud: Test for media duration
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_soundcloud.c

commit 9861848
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-29

    tests: media_cbsnews: Test for video bitrate
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_cbsnews.c

commit c3f9f8c
Merge: c5c9a41 5c49829
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    Merge branch 'tg/next__media_port_sapo.lua' into next

commit 5c49829
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    tests: Add a test for media/sapo.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_sapo.c
tests/media/sapo.mk
tests/media/tests.mk

commit 75f22ac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    media/sapo.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Parse additional properties video.{width,height} and duration_ms
    * Remove now obsolete code (e.g. self.host_id)
    * Make media {title,id} optional properties
    * Implement `SAPO.iter_streams'
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sapo.lua

commit c34b000
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    media/sapo.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sapo.lua

commit 0f981fa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    media/sapo.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Add local table `SAPO', implement `can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sapo.lua

commit fe8179a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    media/sapo.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sapo.lua

commit f2f7c69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    Move website/sapo.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/sapo.lua
share/media/sapo.lua

commit c5c9a41
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    quvi/time: Impl. from_timecode_str, timecode_str_to_s
    
    * Implement {from_timecode_str, timecode_str_to_s}
    * Add basic tests
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/time.lua

commit 59ab504
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    FIX: quvi/time: to_timecode_str: Return formatted string
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/time.lua

commit 997486e
Merge: f530ed2 e965ffd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    Merge branch 'tg/next__media_port_tvlux.lua' into next

commit e965ffd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    tests: Add a test for media/tvlux.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_tvlux.c
tests/media/tests.mk
tests/media/tvlux.mk

commit 940750e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    media/tvlux.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Parse additional properties video.{width,height}
    * Remove now obsolete code (e.g. self.host_id)
    * Make media {title,id} optional properties
    * Implement `TVLux.iter_streams'
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tvlux.lua

commit 0707f95
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    media/tvlux.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tvlux.lua

commit cd9f467
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    media/tvlux.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Add local table `TVLux', implement `can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tvlux.lua

commit 9dad941
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    media/tvlux.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/tvlux.lua

commit f719c0f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-28

    Move website/tvlux.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/tvlux.lua
share/media/tvlux.lua

commit f530ed2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-27

    media/sevenload.lua: Improve JSON parsing
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sevenload.lua

commit 4eb4439
Merge: 7568072 82b9f95
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-27

    Merge branch 'tg/next__media_port_theonion.lua' into next

commit 82b9f95
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-27

    tests: Add a test for media/theonion.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_theonion.c
tests/media/tests.mk
tests/media/theonion.mk

commit 435e3c7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-27

    media/theonion.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Remove now obsolete code (e.g. self.host_id)
    * Make media title an optional property
    * Implement `TheOnion.iter_streams'
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/theonion.lua

commit 1d89233
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-27

    media/theonion.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/theonion.lua

commit 6a36e0d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-27

    media/theonion.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Add local table `TheOnion', implement `can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/theonion.lua

commit 7b32c7d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-27

    media/theonion.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/theonion.lua

commit 80c36bd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-27

    Move website/theonion.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/theonion.lua
share/media/theonion.lua

commit 7568072
Merge: 701324f dbbf651
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    Merge branch 'tg/next__media_port_sevenload.lua' into next

commit dbbf651
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    tests: Add a test for media/sevenload.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_sevenload.c
tests/media/sevenload.mk
tests/media/tests.mk

commit 316355c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    media/sevenload.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Parse additional media properties: {video,audio} encoding, container
    * Remove now obsolete code (e.g. self.host_id)
    * Make media {title,id} optional properties
    * Implement SevenLoad.{iter_streams,to_id}
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sevenload.lua

commit 4f2670c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    media/sevenload.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sevenload.lua

commit bdc0cfb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    media/sevenload.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Add local table `SevenLoad', implement `can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sevenload.lua

commit ccd6735
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    media/sevenload.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/sevenload.lua

commit 06d8d99
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    Move website/sevenload.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/sevenload.lua
share/media/sevenload.lua

commit a0fd9ce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    FIX: website/sevenload.lua: all patterns
    
    * `ident': Use `handles' function of 'quvi/util'
    * `parse': Update media {title,id,url} patterns
    * `parse': Parse thumb url
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/sevenload.lua

commit 701324f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    FIX: media/funnyordie.lua: to_id: conform to standard
    
    Move $quality before $container. As documented in libquvi C API
    (Glossary: Terminology); a typical media stream ID looks like:
      $quality_$container_$encoding_$height(p)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/funnyordie.lua

commit 6d0ad99
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-26

    README: Add LuaJSON as a new prerequisite
    
    * Reorganize the Lua prerequisites alphabetically
    * Add LuaJSON to the list
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 1aaa0db
Merge: 07c023e 4d258d5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-24

    Merge branch 'tg/next__media_port_charlierose.lua' into next

commit 4d258d5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-24

    tests: Add test for media/charlierose.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/charlierose.mk
tests/media/media_charlierose.c
tests/media/tests.mk

commit c5061b7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-24

    media/charlierose.lua: Rewrite parse function
    
    Rewrite the `parse' function for the libquvi 0.9+ series.
    * Make media {title,thumb_url,id} optional properties
    * Remove all now obsolete code (e.g. self.host_id)
    * Parse media {thumb_url,width,height} properties
    * Implement CharlieRose.iter_streams
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/charlierose.lua

commit 33282ea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-24

    media/charlierose.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function which is no longer
    supported by libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/charlierose.lua

commit 3173921
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-24

    media/charlierose.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Add local table `CharlieRose', implement `can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/charlierose.lua

commit 5c90a23
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-24

    media/charlierose.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/charlierose.lua

commit e0b40ad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-24

    Move website/charlierose.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/charlierose.lua
share/media/charlierose.lua

commit 07c023e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-23

    FIX: media/gaskrank.lua: media stream URL pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/gaskrank.lua

commit f1d35b1
Merge: 78c1c78 e1f3902
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-21

    Merge branch 'tg/next__media_port_funnyordie.lua' into next

commit e1f3902
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-21

    tests: Add test for media/funnyordie.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/funnyordie.mk
tests/media/media_funnyordie.c
tests/media/tests.mk

commit ab42784
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-21

    media/funnyordie.lua: Rewrite parse function
    
    Rewrite `parse' function for the libquvi 0.9+ series.
    * Rewrite FunnyOrDie.iter_formats as FunnyOrDie.iter_streams
    * Remove now obsolete code (e.g. self.host.id)
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/funnyordie.lua

commit 1a2cc87
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-21

    media/funnyordie.lua: Remove obsolete query_formats
    
    Remove the now obsolete `query_formats' function. libquvi 0.9+ no longer
    supports this.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/funnyordie.lua

commit 1aefdcd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-21

    media/funnyordie.lua: Rewrite ident function
    
    Rewrite the `ident' function for the libquvi 0.9+ series.
    * Add `FunnyOrDie.can_parse_url' function
    * Remove any now obsolete code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/funnyordie.lua

commit 157b789
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-21

    media/funnyordie.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/funnyordie.lua

commit ab05a8d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-21

    Move website/funnyordie.lua to media/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/funnyordie.lua
share/media/funnyordie.lua

commit b9f2331
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-21

    FIX: website/funnyordie.lua: media stream URL pattern
    
    * Conform to the standard media property error messages
    * Fix the pattern for the media stream URLs
    * Update the pattern for the "quality" and the "container"
    * Both FunnyOrDie.choose_{best,default} now return the first stream
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/funnyordie.lua

commit 78c1c78
Merge: f5cdf13 7d652e8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-20

    Merge branch 'tg/next__improve_playlist/youtube.lua' into next

commit 7d652e8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-20

    tests: playlist_youtube: Enable tests for optional properties
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/playlist/playlist_youtube.c

commit bbd2162
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-20

    playlist/youtube.lua: Parse media {title,duration_ms}
    
    Rewrite the `parse' and the `YouTube.parse_media_urls' functions.
    * parse: fill the qargs.media list now in `YouTube.parse_entry'
    * parse_media_urls: Tidy up, skip entry unless available
    
    Add the `YouTube.{parse_entry,entry_avail}' functions.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/youtube.lua

commit 628dd77
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-20

    playlist/youtube.lua: Parse {title,thumb_url}
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/youtube.lua

commit f5cdf13
Merge: 809f3fe ce3b9de
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-20

    Merge branch 'tg/next__add_quvi/time.lua' into next

commit ce3b9de
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-20

    DOC: quvi-modules.7.txt: Add quvi/time
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-modules.7.txt

commit 3bb79d4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-20

    export/subrip.lua: Use to_timecode from quvi/time module
    
    Now that to_timecode is available through the quvi/time module,
    use it and remove the SubRip.to_timecode implementation.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/subtitle/export/subrip.lua

commit 0a87c47
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-20

    media/arte.lua: Use quvi/time module
    
    Use the quvi/time module now that the to_timestamp function
    has been moved from quvi/util module.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/arte.lua

commit d8af4ea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-20

    Add quvi/time module
    
    * Move to_timestamp from quvi/util to this module
    * Add to_timecode_str and to_timecode functions
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/common/quvi/time.lua
share/common/quvi/util.lua

commit 809f3fe
Merge: 88484c4 9742a56
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    Merge branch 'tg/next__media_port_senat.lua' into next

commit 9742a56
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    tests: Add a test for media/senat.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_senat.c
tests/media/senat.mk
tests/media/tests.mk

commit 41a5907
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    media/senat.lua: Rewrite parse function
    
    Rewrite `parse' function for libquvi 0.9+ series.
    * Remove any now obsolete code (e.g. self.host_id)
    * Force conversion from iso-8859-1 to UTF-8
    * Add Senat.iter_streams function
    * Parse {width,height} properties
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/senat.lua

commit 0dcc055
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    media/senat.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function. libquvi 0.9 no longer
    supports this.

share/media/senat.lua

commit c29c1cd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    media/senat.lua: Rewrite ident function
    
    Rewrite the `ident' function for the 0.9+ series.
    * Add local Senat table and implement `can_parse_url' function
    * Remove any now obsolete code

share/media/senat.lua

commit 9fa9749
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    media/senat.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/226

share/media/senat.lua

commit df93e2c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    Move website/senat.lua to media/senat.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/senat.lua
share/media/senat.lua

commit 88484c4
Merge: d6473ac dd7a7a3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    Merge branch 'tg/next__media_port_publicsenat.lua' into next

commit dd7a7a3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    tests: Add a test for media/publicsenat.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_publicsenat.c
tests/media/publicsenat.mk
tests/media/tests.mk

commit 0a88e81
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    media/publicsenat.lua: Rewrite parse function
    
    Rewrite "parse" function for libquvi 0.9+ series.
    * Remove any now obsolete code (e.g. self.host_id)
    * Add PublicSenat.iter_streams function
    * Update vim modeline
    
    NOTE:
    
      This port takes a shortcut to parse the media stream URL and the
      thumbnail URL. They are now parsed from the input URL, rather than a
      secondary URL -- put together using a static URL prefix and the media
      ID. If that, really, is necessary, we can add the additional steps
      later.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/publicsenat.lua

commit a5ebb74
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    media/publicsenat.lua: Remove query_formats function
    
    Remove the now obsolete `query_formats' function. The libquvi 0.9+ no
    longer supports this function.

share/media/publicsenat.lua

commit 58a406c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    media/publicsenat.lua: Rewrite ident function
    
    Rewrite the `ident' function for the 0.9+ series.
    * Add local PublicSenat table and implement `can_parse_url' function
    * Remove any now obsolete code from the function

share/media/publicsenat.lua

commit 3172ef2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    media/publicsenat.lua: Relicense under AGPLv3+

share/media/publicsenat.lua

commit 36ff159
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    Move website/publicsenat.lua to media/publicsenat.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/publicsenat.lua
share/media/publicsenat.lua

commit d6473ac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-19

    FIX: a typo in URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_cbsnews.c

commit 4a31746
Merge: 708692b 499a46c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-17

    Merge branch 'tg/next__media_port_cbsnews.lua' into next

commit 499a46c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-17

    tests: Add test for media/cbsnews.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/cbsnews.mk
tests/media/media_cbsnews.c
tests/media/tests.mk

commit 45f78a3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-17

    media/cbsnews.lua: Rewrite parse function
    
    Rewrite the "parse" function for libquvi 0.9+ series.
    * Add CBSNews.{parse_optional,iter_streams,get_data,to_id} functions
    * qargs.id would normally be optional, but required by CBSNews.get_data
    * Add CBSNews.{parse_optional,iter_streams,get_data,to_id} functions
    * Remove any now obsolete code (e.g. self.host_id)
    * Update vim modeline
    
    NOTES:
    
      quvi/lxp:find_first_tag will raise an error if something isn't found.
      This means that any optional media properties parsed using this
      function, will result in the script exiting with an error.  This is
      acceptable, although not ideal.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/cbsnews.lua

commit aefde56
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-17

    media/cbscnews.lua: Remove query_formats function
    
    Remove the `query_formats' function which is no longer used by the
    libquvi 0.9+ series.

share/media/cbsnews.lua

commit 03b1123
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-17

    media/cbsnews.lua: Rewrite ident function
    
    Rewrite the `ident' function for the 0.9+ series.
    * Remove any now obsolete code from the function
    * Add CBSNews.can_parse_url

share/media/cbsnews.lua

commit 619bcad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-17

    media/cbsnews.lua: Relicense under AGPLv3+

share/media/cbsnews.lua

commit 47dc390
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-17

    Move website/cbsnews.lua to media/cbsnews.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/cbsnews.lua
share/media/cbsnews.lua

commit 708692b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-17

    FIX: quvi/stream: stream_new: audio.encoding: empty
    
    Set the initial value of audio.encoding to an empty string, rather than
    a zero.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/stream.lua

commit 1ae5523
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    gen-news.sh: Do not print commits with >1 one parent
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit c06265e
Merge: 6816eb9 ff58b2b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    Merge branch 'tg/next__media_port_audioboo.lua' into next

commit ff58b2b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    tests: Add media_audioboo
    
    Add a test for the media/audioboo.lua script.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/audioboo.mk
tests/media/media_audioboo.c
tests/media/tests.mk

commit 398edfe
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    media/audioboo.lua: Rewrite parse function
    
    Rewrite the `parse' function for libquvi 0.9+ series.
    * Remove now obsolete code (e.g. self.host_id)
    * Make qargs.{title,id} optional
    * Add Audioboo.iter_streams
    * Update vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/audioboo.lua

commit 6e0ce26
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    media/audioboo.lua: Remove obsolete query_formats
    
    The `query_formats' is no longer used by libquvi 0.9+, remove the
    function from the script altogether.

share/media/audioboo.lua

commit 8e60557
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    media/audioboo.lua: Rewrite ident function
    
    Rewrite the `ident' function for libquvi 0.9+ series.
    * Remove now obsolete code from the function
    * Add Audioboo.can_parse_url

share/media/audioboo.lua

commit ee05d64
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    media/audioboo.lua: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/audioboo.lua

commit 1ec96c2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    Move website/audioboo.lua to media/audioboo.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/audioboo.lua
share/media/audioboo.lua

commit 6816eb9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    dist: Include playlist/soundcloud.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am

commit 1ccb7bb
Merge: fd6ae25 7620e24
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    Merge branch 'tg/next__relicense_soundcloud' into next

commit 7620e24
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    tests: Enable media_soundcloud
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/tests.mk

commit 78a9121
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    media/soundcloud.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/230
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/media/soundcloud.lua

commit fd6ae25
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    test_media_arte: Rewrite using the capture_*
    
    Besides using the new capture_* function set, pick a random media URL
    from the page, instead of the the first one.
    
    Some attempts to access the video pages results in a random binary blob
    that the server returns instead of the page HTML. Geoblocked in some
    bizarre new way?
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_arte.c

commit d8debbc
Merge: ed2c8c0 b889d86
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    Merge branch 'tg/next__revise_test_lib' into next

commit b889d86
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    tests: lib: Revise re.c transl. unit
    
    Add a more flexible set of capture_* functions, replacing the old
    `capture' function.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/re.c
tests/lib/tests.h

commit 4cb51d8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    tests: lib: Add slist.c transl. unit
    
    Add slist_free_full to the library. This function provides a convenient
    way (for those who still use an earlier version of GLib) to release an
    entire singly-linked list. Normally we'd just use g_slist_free_full
    (since GLib 2.28).
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/Makefile.am
tests/lib/slist.c
tests/lib/tests.h

commit ed2c8c0
Merge: ff95da2 43e317c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    Merge branch 'tg/next__relicense_arte' into next

commit 43e317c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    tests: media: Enable media_arte
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/tests.mk

commit 84c8def
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-15

    media/arte.lua: Relicense under AGPLv3+
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/226
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/media/arte.lua

commit ff95da2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-14

    FIX: playlist/soundcloud.lua: item pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/soundcloud.lua

commit 85a58cf
Merge: aafc1ab bb416a1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-14

    Merge branch 'tg/next/1.0' into next
    
    Conflicts:
    	m4/version.m4
    	share/Makefile.am
    	share/lua/website/break.lua
    	share/lua/website/dailymotion.lua
    	share/lua/website/gaskrank.lua
    	share/lua/website/quvi/util.lua
    	share/lua/website/soundcloud.lua
    	share/lua/website/youtube.lua
    	tests/data/format/default/audioboo.json
    	tests/data/format/default/break.json
    	tests/data/format/default/fixme/bloomberg.json
    	tests/data/format/default/fixme/collegehumor.json
    	tests/data/format/default/fixme/mgnetwork.json
    	tests/data/format/default/funnyordie.json
    	tests/data/format/default/gaskrank.json
    	tests/data/format/default/metacafe.json
    	tests/data/format/default/nsfw/empflix.json
    	tests/data/format/default/nsfw/fixme/pornhub.json
    	tests/data/format/default/nsfw/xvideos.json
    	tests/data/format/default/nsfw/youjizz.json
    	tests/data/format/default/soundcloud-2.json
    	tests/data/format/default/soundcloud.json
    	tests/data/format/default/spiegel.json
    	tests/data/format/default/theonion.json
    	tests/data/format/default/theonion_2.json
    	tests/data/format/default/tvlux.json
    	tests/data/format/default/videobash.json
    	tests/data/format/default/vimeo.json
    	tests/t/expire.t

commit bb416a1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-14

    share/README: Revise
    
    Add missing directories, revise descriptions.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/README

commit 6af7a30
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-07

    FIX: tests/lib/fetch.c: include "tests.h"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/fetch.c

commit 8804738
Merge: 5ca84ac 8f1bd59
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    Merge branch 'tg/next/1.0__asciidoc.conf' into tg/next/1.0

commit 8f1bd59
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    man7: Add footer.txt
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/footer.txt

commit 17d1efa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    man7: quvi-modules-3rdparty.7.txt: Revise for footer.txt
    
    * Use linkman from asciidoc.conf
    * Include footer.txt
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-modules-3rdparty.7.txt

commit 5e90f75
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    man7: quvi-modules.7.txt: Revise for footer.txt
    
    * Use linkman from asciidoc.conf
    * Include footer.txt
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-modules.7.txt

commit 70e6b67
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    man7: libquvi-scripts.7.txt: Revise for footer.txt
    
    * Use linkman from asciidoc.conf
    * Include footer.txt
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/libquvi-scripts.7.txt

commit d91c688
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    man7: Revise Makefile.am for asciidoc.conf
    
    Add ASCIIDOC_OPTS, call a2x with --asciidoc-opts, and add footer.txt to
    EXTRA_DIST.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/Makefile.am

commit 803922a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    doc: Add asciidoc.conf
    
    This file adds the linkman macro. See the comment field for the
    instructions. This is a modified version from the pacman (of Arch Linux)
    source tree uses to produce the manpages: this macro does not insert
    <date>.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/Makefile.am
doc/asciidoc.conf

commit 5ca84ac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-24

    AC_CHECK_HEADERS: Add string.h
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 683fc2f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-24

    AC_CHECK_FUNCS: Add memset
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 80f8867
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-24

    Workaround: AM_PROG_AR
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit d68b53d
Merge: 6d6bd9d 1f277cc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-24

    Merge branch 'tg/next/1.0__cookie' into tg/next/1.0

commit aafc1ab
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-19

    Bump version to 0.4.14
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

m4/version.m4

commit 4caf5a1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-19

    Update NEWS for v0.4.14
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 10cd3be
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-19

    Change soundcloud test URL
    
    Some of the content may be 'protected' in which case the server will
    return HTTP/401 (unauthorized) when the stream URL is being accessed.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/soundcloud.json

commit 1f277cc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    quvi/const: Remove qoo_http_user_agent
    
    quvi.http.header provides a way to set the UA.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit 3b60aef
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-01

    media/dailymotion.lua: Set cookie using quvi.http.header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/dailymotion.lua

commit 27df203
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-28

    quvi-modules(7): Document quvi/http/cookie module
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-modules.7.txt

commit 1b71752
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-28

    Add quvi/http/cookie.lua
    
    This module provides a set of shorthand functions that wrap the use of
    quvi.http.cookie function.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/common/quvi/http/cookie.lua

commit 5dcdc90
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-27

    quvi/const: Add quvi-object http cookie options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit e7e882e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-08

    share/Makefile.am: Add wimp.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am

commit b394bc5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-08

    tests: default: add wimp.json
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/wimp.json

commit 3639d67
Author: Martin Herkt <lachs0r@srsfckn.biz>
Date:   2013-03-08

    Add website script for wimp.com
    
    Signed-off-by: Martin Herkt <lachs0r@srsfckn.biz>

share/lua/website/wimp.lua

commit 0eff56e
Author: Martin Herkt <lachs0r@srsfckn.biz>
Date:   2013-03-08

    website utils: add base64 decoder
    
    Signed-off-by: Martin Herkt <lachs0r@srsfckn.biz>

share/lua/website/quvi/util.lua

commit 17d11a2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    Bump version to 0.4.13
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

m4/version.m4

commit adcbeb1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    Update NEWS for v0.4.13
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 85338c0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    tests: default: Change xvideos test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/nsfw/xvideos.json

commit 82d82f1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-27

    quvi/const: Remove qoo_http_cookie

share/common/quvi/const.lua

commit 7a9bdb1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-16

    Rename ard.lua to ardmediathek.lua
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/ard.lua
share/lua/website/ardmediathek.lua

commit 64cab0d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-16

    FIX: ard.lua: Assign self.script_dir to package.path
    
    Assign the value of the self.script_dir to the package.path so that
    the 'quvi/*' modules can be found.
    
    Reported-by: Fabian Homborg <fhomborg@gmail.com>
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/ard.lua

commit 404ec2e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    Update NEWS for v0.4.12
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 9a2270e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    Bump version to 0.4.12
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

m4/version.m4

commit 1912cd7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    Move mgnetwork.lua under FIXME
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
tests/data/format/default/fixme/mgnetwork.json
tests/data/format/default/mgnetwork.json

commit a49bce7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    tests: default: xvideos.json: Update test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/nsfw/xvideos.json

commit e2d1f7f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    Move fastjizz.lua under FIXME
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
tests/data/format/default/nsfw/fastjizz.json
tests/data/format/default/nsfw/fixme/fastjizz.json

commit 2b003f2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    tests: default: videobash.json: Update page_title
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/videobash.json

commit 509db79
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    tests: default: tvlux.json: Update
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/tvlux.json

commit 85f1dea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    FIX: tvlux.lua: Update patterns, parse thumb URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/tvlux.lua

commit 65ea27d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    soundcloud-2.json: Update test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/soundcloud-2.json

commit dab6469
Author: Thomas Weißschuh <thomas@t-8ch.de>
Date:   2013-02-08

    ard.lua: cleanup
    
    * remove superfluous fsk table from test_availability()
    * s/films/videos/ in test_availability()
    * move the call to test_availability() into iter_formats(), so it
      gets always executed
    * remove superfluous match in container_from()

share/lua/website/ard.lua

commit 1fb1128
Merge: c0add2d f34b625
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-08

    Merge branch 'tg/next/0.4__ard.lua_misc_improvements' into next

commit f34b625
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-08

    ard.lua: Ard.to_s: Use service internal stream ID
    
    Since the service provides an ID (1,2,3,...), use it in
    the media stream ID to make them unique. Otherwise we'll
    end up with identical media stream IDs in some cases.
    
    Use 'i' for the lack of a better prefix. This is similar to
    that of youtube.lua (0.9) and the use of the "itag" value in
    YouTube the media stream IDs.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/ard.lua

commit 99b3722
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-08

    ard.lua: Cleanup Ard.iter_formats
    
    Realign, remove webX extraction which is now done in Ard.quality_from,
    make the for loop more compact.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/ard.lua

commit 7213e06
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-08

    ard.lua: Add Ard.container_from function

share/lua/website/ard.lua

commit 08dff90
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-08

    ard.lua: Add Ard.height_from function

share/lua/website/ard.lua

commit c41e5cc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-08

    ard.lua: Add Ard.quality_from function
    
    Have the Ard.quality function return a string containing one of the
    strings 'ld', 'md', 'sd', 'hd'. Other websites.
    
    Plenty of guessing going on here, these strings are roughly based on
    the findings posted here:
      http://article.gmane.org/gmane.comp.web.flash.quvi/170
    
      0 = '256x144' -- ld
      1 = '512x288' -- md
      2 = '960x540' -- sd
      3 ='1280x720' -- hd

share/lua/website/ard.lua

commit f24c168
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-08

    ard.lua: Rewrite Ard.to_s for 0.9 compatibility
    
    The 0.9 series of libquvi-scripts will attempt to return the media
    stream IDs as "$quality_$container_$encoding_$height(p)" whenever
    possible.  Prepare for the foreseeable future.

share/lua/website/ard.lua

commit c0add2d
Author: Thomas Weißschuh <thomas@t-8ch.de>
Date:   2012-10-14

    Add ard.lua
    
    This adds support for the 'ARD mediathek', the movie archive of the
    primary national television broadcaster of Germany. It's mediathek also
    servers videos from many smaller german broadcasters.
    
    Note: films are only available online for two weeks after airing.
    Certain films are only available at certain daytimes. In this case an
    error is raised.
    
    Signed-off-by: Thomas Weißschuh <thomas@t-8ch.de>
    Tested-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/ard.lua

commit ef57874
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-07

    FIX: wdrmaus.lua:101: invalid escape sequence
    
    Fix the "wdrmaus.lua:101: invalid escape sequence near \/" by
    removing the backslash.
    
    Reported-by: Thomas Weißschuh <thomas@t-8ch.de>
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/wdrmaus.lua

commit 6d6bd9d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-06

    Rename "subrip" format specifier to "srt"
    
    Technically, "SubRip" would be the correct name, not "subrip". Use of
    "srt" is a good compromise. This will also allow the applications to
    use the format specifier as a file extension, if need be. Similar
    approach could be taken with other subtitle export formats.
      https://en.wikipedia.org/wiki/Subtitling#Subtitle_formats
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/subtitle/export/subrip.lua
tests/subtitle/subtitle_youtube.c

commit 4386b2d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    FIX: media/academicearth.lua: goto_url pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/academicearth.lua

commit 3f9b4ec
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    FIX: playlist/soundcloud.lua: Append missing TLD to media URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/soundcloud.lua

commit 799aea4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    media/arte.lua: Arte.get_config: Remove unused parameter
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/arte.lua

commit c22c7a4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    dist_util_DATA: Reorganize scripts alphabetically
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am

commit 488ae8c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    man: libquvi-scripts.7: Add script types
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/libquvi-scripts.7.txt

commit 264474b
Merge: 9a39594 4ee9bce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    Merge branch 'tg/next/1.0__doc_quvi_modules' into tg/next/1.0

commit 4ee9bce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    man: Add quvi-modules-3rdparty.7(.txt)
    
    This manual page will cover the 3rd party Lua modules that may be loaded
    from the libquvi scripts.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/Makefile.am
doc/man7/quvi-modules-3rdparty.7.txt

commit a4bb228
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    man: Add quvi-modules.7(.txt)
    
    This manual page will cover briefly the available quvi modules that may
    be loaded from the libquvi scripts.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/Makefile.am
doc/man7/quvi-modules.7.txt

commit 9a39594
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    Remove chk_mod.lua
    
    Briefly: Trivial trickery, really
    
    In detail: Checking for lua(1) and the installed modules is a hassle
    
    The name of this command varies per distro. It may be anything from
    'lua' to 'lua51', 'lua5.1', 'lua-5.1', etc.  With the introduction
    of Lua 5.2, we now may have any number of variations of those as well.
    
    Just as with the lua(1), the modules may now come in 5.1 or 5.2 flavor,
    causing the script to get pissy about the missing modules, even if
    they were around.
    
      e.g. configure finds lua(1) (5.2) but the modules are installed for
           lua51(1) and found in a different module path, thus 'require'
           will fail
    
    Not all modules (e.g. bitop) provide module version information, making
    the module version checking impossible.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

Makefile.am
chk_mod.lua
configure.ac

commit c1bf983
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    quvi/const: Remove notes section
    
    The quvi-object(7) manual page will document these.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit 184de43
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    Rename autogen.sh to bootstrap.sh
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README
autogen.sh
bootstrap.sh

commit 0791d2d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    Bump version to 0.4.11
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

m4/version.m4

commit 5215745
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    Update NEWS for 0.4.11
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 12d5398
Merge: 67e286b d57dab0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    Merge branch 'tg/next/1.0__crypto' into tg/next/1.0

commit c798621
Merge: 7f171b0 d937de7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    Merge branch 'tg/next/0.4_testrun_fixes' into next

commit d937de7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    Move pornhub.lua under FIXME
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
tests/data/format/default/nsfw/fixme/pornhub.json
tests/data/format/default/nsfw/pornhub.json

commit da6bd0b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: default: lego.json: Update
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/lego.json

commit bfb8a9c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: default: funnyordie.json: Update
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/funnyordie.json

commit fa63c11
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: Retire the "other" test category
    
    Often cumbersome at best -- results varying each time with certain
    hosts. It's time to retire this test category. Tests for "default"
    format are sufficient.
    
    Similar changes will be introduced in libquvi-scripts point-nine.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/other/cbsnews_best.json
tests/data/format/other/cbsnews_m4v_1100k_480p.json
tests/data/format/other/cbsnews_m4v_386k_216p.json
tests/data/format/other/cbsnews_m4v_598k_360p.json
tests/data/format/other/cbsnews_mp4_1100k_480p.json
tests/data/format/other/cbsnews_mp4_500k_240p.json
tests/data/format/other/fixme/blip_best.json
tests/data/format/other/fixme/blip_m4v_blip_sd_360p.json
tests/data/format/other/fixme/blip_mov_source_360p.json
tests/data/format/other/fixme/blip_mp3_web.json
tests/data/format/other/fixme/collegehumor_best.json
tests/data/format/other/fixme/collegehumor_mp4_hq.json
tests/data/format/other/fixme/collegehumor_mp4_sd.json
tests/data/format/other/foxnews_best.json
tests/data/format/other/foxnews_high.json
tests/data/format/other/foxnews_low.json
tests/data/format/other/foxnews_med.json
tests/data/format/other/foxnews_med_low.json
tests/data/format/other/funnyordie_best.json
tests/data/format/other/funnyordie_mp4_ipad.json
tests/data/format/other/funnyordie_mp4_wifi.json
tests/data/format/other/golem_best.json
tests/data/format/other/golem_m4v_ipod_360p.json
tests/data/format/other/golem_mp4_high_540p.json
tests/data/format/other/golem_mp4_medium_270p.json
tests/data/format/other/ignore/length_bytes/dailymotion_best.json
tests/data/format/other/ignore/length_bytes/dailymotion_mp4_384p.json
tests/data/format/other/ignore/length_bytes/dailymotion_mp4_480p.json
tests/data/format/other/ignore/length_bytes/dailymotion_mp4_720p.json
tests/data/format/other/imdb_480p.json
tests/data/format/other/imdb_720p.json
tests/data/format/other/imdb_SD.json
tests/data/format/other/imdb_best.json
tests/data/format/other/mgnetwork_best.json
tests/data/format/other/mgnetwork_mp4.json
tests/data/format/other/mgnetwork_xflv.json
tests/data/format/other/youtube_best.json
tests/data/format/other/youtube_fmt05_240p.json
tests/data/format/other/youtube_fmt18_360p.json
tests/data/format/other/youtube_fmt22_720p.json
tests/data/format/other/youtube_fmt34_360p.json
tests/data/format/other/youtube_fmt35_480p.json
tests/data/format/other/youtube_fmt37_1080p.json
tests/data/format/other/youtube_fmt38_1536p.json

commit ab25817
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: default: empflix.lua: Update test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/nsfw/empflix.json

commit f3bcb56
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: default: beeg.json: Update page_title
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/nsfw/beeg.json

commit 282a309
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: default: spiegel.json: Update test URL
    
    Replace the old test URL (HTTP/404).
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/spiegel.json

commit b118e3c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: default: audioboo.json: Remove properties
    
    Remove the length_bytes, content_type and file_suffix properties so
    that the test passes.   This fixes nothing.
    
    audioboo has gone amaz0nian. The media is accessed using HTTPS,
    which causes libquvi 0.4 to skip the media stream "verification"
    step. Even if enabled, sending of HTTP HEAD (through SSL tunnel)
    results in HTTP/403 (Forbidden).
    
    Possibly related:
      https://forums.aws.amaz0n.com/message.jspa?messageID=378603
        (replace '0' in 'amaz0n')
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/audioboo.json

commit d4a8a12
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: default: metacafe.json: Update thumbnail_url
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/metacafe.json

commit e1fc4d2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: default: break.json: Add thumbnail_url value
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/break.json

commit 569ab94
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    tests: default: theonion(_2).json: Update thumbnail_url
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/theonion.json
tests/data/format/default/theonion_2.json

commit be81501
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    beeg.lua: Update title pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/beeg.lua

commit 787be3d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    FIX: lego.lua: All patterns
    
    Modify the script to extract the media properties using new
    patterns.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/lego.lua

commit 4735455
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    FIX: metacafe.lua: Key parsing
    
    Some of the patterns were outdated due to the changes made to the
    website.  Have the script extract the 'flashvars' value, unescape
    it and then extract each individual value from this unescaped value.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/metacafe.lua

commit 8d6ee06
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    FIX: theonion.lua: thumbnail URL pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/theonion.lua

commit 763338c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    FIX: 1tvru.lua: title and media URL patterns
    
    Only some of the (archived?) videos seem to work (now?).
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/1tvru.lua

commit d57dab0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-30

    Add quvi/hash and quvi/hex
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/common/quvi/hash.lua
share/common/quvi/hex.lua

commit 51f3623
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-30

    quvi/const: Add crypto options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit 065fb58
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-30

    Remove quvi/bit
    
    Use the Lua bit operations (bitop) module in the scripts from now on.
    The module provides a more complete bit operation collection.
      http://bitop.luajit.org/api.html
    
    This adds a new prerequisite (Lua bitop) to libquvi-scripts.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README
share/Makefile.am
share/common/quvi/bit.lua

commit 7f171b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-19

    tests: default: gaskrank.json: Add thumbnail_url property
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/gaskrank.json

commit 1e15082
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-19

    gaskrank.lua: Parse thumbnail URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/gaskrank.lua

commit 67e286b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-19

    FIX: media/gaskrank.lua: media stream URL pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/gaskrank.lua

commit 8c067a5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-19

    FIX: gaskrank.lua: media stream URL pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/gaskrank.lua

commit 8492018
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    Remove all use of qfo and qft in the scripts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/arte.lua
share/media/dailymotion.lua
share/media/youtube.lua
share/playlist/soundcloud.lua
share/playlist/youtube.lua

commit 719297f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    Use renamed quvi.http.resolve
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/util/resolve_redirections.lua

commit 34ff7ba
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    Use renamed quvi.http.fetch
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua
share/media/academicearth.lua
share/media/arte.lua
share/media/break.lua
share/media/dailymotion.lua
share/media/gaskrank.lua
share/media/soundcloud.lua
share/media/vimeo.lua
share/media/youtube.lua
share/playlist/soundcloud.lua
share/playlist/youtube.lua
share/subtitle/export/subrip.lua
share/subtitle/youtube.lua

commit 5c04625
Merge: 9570fd6 83a4d5e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    Merge branch 'tg/next/1.0__revise_quvi/const' into tg/next/1.0

commit 83a4d5e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    quvi/const: Update notes
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit 97af22c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    quvi/const: Remove quvi fetch types
    
    These are no longer supported.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit 0521a03
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    quvi/const: Remove quvi fetch options
    
    These were replaced by the qoo identifiers.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit ace6067
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    quvi/const: Add comments
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit 9570fd6
Merge: 25ff74c 000b6b2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    Merge branch 'tg/next/1.0__use_updated_quvi_object_functions' into tg/next/1.0

commit 000b6b2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-17

    subtitle/ Use updated quvi.fetch
    
    quvi.fetch will now return a table, modify the subtitle
    scripts accordingly.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/subtitle/export/subrip.lua
share/subtitle/youtube.lua

commit 09e747e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-17

    playlist/youtube.lua: Use updated quvi.fetch
    
    quvi.fetch will now return a table, modify the script accordingly.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/soundcloud.lua
share/playlist/youtube.lua

commit 13253a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-17

    media/ Use updated quvi.fetch
    
    quvi.fetch will now return a table, modify the media scripts
    accordingly.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/academicearth.lua
share/media/arte.lua
share/media/break.lua
share/media/dailymotion.lua
share/media/gaskrank.lua
share/media/soundcloud.lua
share/media/vimeo.lua
share/media/youtube.lua

commit 6948245
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-17

    quvi/const.lua: Update examples
    
    Trivial: Use 'r' for the returned table.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit a2f601e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-17

    util/resolve_redirections.lua: Use updated quvi.resolve
    
    quvi.resolve will now return a table, modify resolve_redirections
    function to check the length of the "resolved_url" string value.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/util/resolve_redirections.lua

commit 25ff74c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-16

    quvi/const: Add quvi error codes

share/common/quvi/const.lua

commit 2cc61fa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-16

    quvi/const: Add quvi object options

share/common/quvi/const.lua

commit c6e0e2b
Merge: a0b0e59 245b7ea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-15

    Merge branch 'tg/next/1.0__add_subtitles' into tg/next/1.0

commit a0b0e59
Merge: 0f7bebc 5c6ca4c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-15

    Merge branch 'tg/next/1.0_pod_to_asciidoc' into tg/next/1.0

commit 5c6ca4c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    .gitignore: Remove libquvi-scripts.7
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

.gitignore

commit 901c1de
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    autogen.sh: Remove gen_manual
    
    Do not generate the manual page libquvi-scripts(7). This is due to:
    * We now produce the manual pages at build time
    * We no longer use POD, but asciidoc
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

autogen.sh

commit b1e1bff
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    README: Add Documentation section
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit ef8544a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    man: Switch from POD to asciidoc
    
    Rewrite libquvi-scripts(7) using asciidoc syntax. Produce the man7 pages
    at build time if a2x was found by configure.
    
    "make dist{check}"  will require a2x.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/Makefile.am
doc/man7/libquvi-scripts.7.pod
doc/man7/libquvi-scripts.7.txt

commit 1ba9a39
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-15

    Put SUBDIRS+=man7 inside a WITH_MANUAL block
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/Makefile.am

commit a95ea53
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    Makefile.am: Add doc target
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

Makefile.am

commit e3844e3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    configure.ac: Add a2x check
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 245b7ea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-14

    tests: subtitle: Add subtitle_youtube
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/Makefile.am
tests/subtitle/subtitle_youtube.c
tests/subtitle/tests.mk
tests/subtitle/youtube.mk

commit d3dde75
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-14

    tests: lib: Add subtitle framework
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/Makefile.am
tests/lib/qsub_test.c
tests/lib/tests.h

commit 500320a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-13

    stamp.sh: Add subtitle paths
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

stamp.sh

commit 27b027a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-13

    Add subtitle/export/subrip.lua
    
    Adds support for converting subtitle data into SubRip format.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/subtitle/export/subrip.lua

commit ad23800
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-13

    Add subtitle/youtube.lua
    
    Adds support for parsing the subtitle properties for YouTube
    closed-captions (CC) and text-to-speech (TTS, or
    "automatic transcriptions").
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/subtitle/youtube.lua

commit 6441123
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-13

    media/youtube.lua: Use 'quvi/youtube' functions
    
    Use the 'ident' and 'can_parse_url' from the 'quvi/youtube' module.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/youtube.lua

commit 5efaa34
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-13

    quvi/const: Add subtitle types, formats
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/const.lua

commit d70dfe4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-13

    quvi/youtube: Add functions: ident, can_parse_url
    
    Instead of duplicating the code used by different YouTube scripts,
    add them to the 'quvi/youtube' module so that they may be imported
    and reused.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/youtube.lua

commit 0f7bebc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-14

    tests: qp_test: Check media URL for each item
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/qp_test.c

commit f7b3ff9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-14

    tests: chk_verbose: Set LIBQUVI_VERBOSE_SCRIPTS
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/env.c

commit 4476269
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-14

    quvi/debug: Check LIBQUVI_SCRIPTS_VERBOSE env. variable
    
    Instead of relying for the library to check the environment value for
    LIBQUVI_SCRIPTS_VERBOSE and set the qargs.verbose flag, have the 'say'
    function check the value.
    
    quvi_new would initially check the value, but this caused problems with
    programs that would first call quvi_new and then set the env. variable
    value.  Most programs will require the quvi_t handle (returned by
    quvi_new) to enable the libcURL verbose output.
    
    Another possibility was to have the library check the env. variable
    value when it calls each script (ident, parse, export, ...) and then set
    the qargs.verbose flag. This, however, would result in overhead even
    when the debug facility (quvi/debug) was not used by a script.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/debug.lua

commit f060b2d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-13

    quvi/util: Add 'trim' function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/util.lua

commit 3096ff9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-04

    wdrmaus.lua: fail if required properties cannot be parsed
    
    Fail with an error of the required media properties {title,id,url}
    could not be parsed. Do not set self.default (unused). Cleanup code
    for improved readability.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/wdrmaus.lua

commit 9266abb
Merge: 89d31bc 37704a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-03

    Merge branch 'tg/next/0.4_add_wdrmaus' into next

commit 37704a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-03

    tests: Add default/wdrmaus_*.json
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/wdrmaus_es.json
tests/data/format/default/wdrmaus_kbbs.json
tests/data/format/default/wdrmaus_sg.json

commit 03f4cce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-03

    wdrmaus.lua: fail if URL path patterns do not match
    
    Have the script raise an error if none of the URL path patterns.
    Otherwise the users will only get a cryptic error about missing
    media property values.
    
    Other:
    * Set "fetch_type=config" for quvi.fetch(non-page_url) calls
    * Replace if-elseif -block with a lookup table
    * Trim a long line to fit 72 chars
    * Remove an extra newline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/wdrmaus.lua

commit 86d1c64
Author: Guido Leisker <guido@guido-leisker.de>
Date:   2013-01-03

    Add support for wdrmaus.de
    
    Signed-off-by: Guido Leisker <guido@guido-leisker.de>
    Tested-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/wdrmaus.lua

commit 89d31bc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-02

    FIX: gen-news.sh: Find the closest tagname
    
    Replaces the buggy tagname extraction.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit bbd6fd3
Merge: 4d12ffd 0795470
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-02

    Merge branch 'tg/next/0.4_add_myspass' into next

commit 0795470
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-02

    tests: Add default/myspass.json
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/myspass.json

commit 2b79f18
Author: Guido Leisker <guido@guido-leisker.de>
Date:   2013-01-01

    Add support for myspass.de
    
    Signed-off-by: Guido Leisker <guido@guido-leisker.de>
    Reviewed-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/lua/website/myspass.lua

commit 4bef867
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-12

    tests: uncomment playlist/soundcloud
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/playlist/tests.mk

commit d1f991c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-12

    tests: playlist_youtube.c: Additional URLs
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/playlist/playlist_youtube.c

commit a3ac7bb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-17

    README: Fix contrib URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 9dc8c1e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-12

    FIX: gen-news.sh: Find the closest tagname
    
    Replaces the buggy tagname extraction with a proper one.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit 15a6e42
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-12

    FIX: playlist/youtube.lua: ID pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/youtube.lua

commit ddcdf92
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-22

    README: Add aptitude examples
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit fee96a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-22

    quvi/util.lua: Rename "ends" function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/util.lua

commit 4d12ffd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-22

    Bump version to 0.4.10
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

m4/version.m4

commit b0e9f1d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-22

    Update NEWS for v0.4.10
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit e1d1731
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    tests: other/spiegel_*.json: Remove
    
    Save some bandwidth. If one stream (the default) checks out OK
    with this site, that's all we need.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/other/spiegel_best.json
tests/data/format/other/spiegel_flv_vp6_388k_135p.json
tests/data/format/other/spiegel_flv_vp6_576k_315p.json
tests/data/format/other/spiegel_flv_vp6_64k_135p.json
tests/data/format/other/spiegel_flv_vp6_928k_544p.json
tests/data/format/other/spiegel_mp4_h264_1400k_544p.json

commit 5fef6dc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    tests: default/spiegel.json: Use a more recent test URL
    
    The previously used test URL defaulted to media stream that is listed
    in the returned XML data but appears to be missing (HTTP/404). The
    XML does not seem to indicate the stream availability, either.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/data/format/default/spiegel.json

commit b182505
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    FIX: audioboo.lua: multiple patterns
    
    Fix {title,id,thumbnail,stream} patterns. Parse from the
    contents of the media URL instead of oembed which no longer
    appears to provide the media stream URL.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/audioboo.lua

commit bc35f74
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    FIX: dailymotion.lua: title pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/dailymotion.lua

commit 9868144
Merge: c60c87e 06f4297
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    Merge branch 'tg/next/1.0_add_chk_mod.lua' into tg/next/1.0

commit c60c87e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    FIX: break.lua: media stream URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/break.lua

commit 6357cd1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    FIX: break.lua: multiple patterns
    
    Fix {title,id,filepath,filehash} patterns. Add thumbnail_url.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/lua/website/break.lua

commit 06f4297
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    README: Remove "not checked by configure"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 3fc9939
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    configure.ac: Use chk_mod.lua
    
    Check at configure-time whether the required Lua modules are
    available. Skip this step if lua(1) is not found in the path.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 7833924
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    Add chk_mod.lua
    
    This Lua script will check the availability of a Lua module. It will be
    used by configure(.ac).
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

Makefile.am
chk_mod.lua

commit ee76afd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    FIX: media/dailymotion.lua: title pattern
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/dailymotion.lua

commit 7c0d516
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    FIX: media/break.lua
    
    Fix patterns {title,id,filepath,filehash}.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/break.lua

commit 8021de1
Merge: c7b1c25 38ff726
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    Merge branch 'tg/next/1.0_agpl' into tg/next/1.0

commit 38ff726
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    Exclude playlist/soundcloud.lua
    
    Exclude playlist/soundcloud.lua from the dist as
    media/soundcloud.lua is excluded due to the LGPLv2.1+
    license.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am

commit 33a98f4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    Update COPYING file contents
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

COPYING

commit 267d3e3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    tests/scan/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/scan/scan_youtube.c

commit 3b805fc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    tests/playlist/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/playlist/playlist_soundcloud.c
tests/playlist/playlist_youtube.c

commit 0fd4d4a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    tests/playlist/: Disable soundcloud test
    
    Disable test for soundcloud playlist as the media script is still
    on-hold.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/playlist/tests.mk

commit e7a7bb9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    tests/media/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/media_academicearth.c
tests/media/media_arte.c
tests/media/media_break.c
tests/media/media_dailymotion.c
tests/media/media_gaskrank.c
tests/media/media_soundcloud.c
tests/media/media_vimeo.c
tests/media/media_youtube.c

commit 0087d89
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    tests/lib/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/env.c
tests/lib/fetch.c
tests/lib/qerr.c
tests/lib/qm_test.c
tests/lib/qp_test.c
tests/lib/qs_test.c
tests/lib/re.c
tests/lib/tests.h

commit ddd1624
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    media/tests.mk: Disable tests for LGPLv2.1+ scripts
    
    Disable the tests for the LGPLv2.1+ media scripts that are on-hold.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media/tests.mk

commit 705c705
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    Manual: Change LICENSE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/libquvi-scripts.7.pod

commit edd7411
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    util/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/util/convert_entities.lua
share/util/resolve_redirections.lua
share/util/to_file_ext.lua

commit d80e889
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    scan/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/scan/youtube.lua

commit b23b941
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    playlist/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/soundcloud.lua
share/playlist/youtube.lua

commit 95b4e62
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    media/: Change license header
    
    Excluding those that still require confirmation from their
    corresponding copyright holders.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/media/academicearth.lua
share/media/break.lua
share/media/dailymotion.lua
share/media/gaskrank.lua
share/media/vimeo.lua
share/media/youtube.lua

commit 2648f8f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    common/quvi/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/bit.lua
share/common/quvi/const.lua
share/common/quvi/debug.lua
share/common/quvi/entity.lua
share/common/quvi/html.lua
share/common/quvi/lxph.lua
share/common/quvi/stream.lua
share/common/quvi/util.lua
share/common/quvi/youtube.lua

commit 934cc3e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    Change license header in shell scripts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

autogen.sh
gen-news.sh
gen-ver.sh
stamp.sh
tests/find_tests.sh
tests/run_tests.sh

commit c7b1c25
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-19

    FIX: resolve_redirections.lua: Do not append #t
    
    g00gle servers seem not to strip the #t parameter anymore. Do not append
    the #t parameter anymore.  Comment out the code, in case this needs to
    be reactivated.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/util/resolve_redirections.lua

commit 0c33b23
Merge: cd147ad ea7b0ed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    Merge branch 'tg/next/1.0_rm_quvi/url.lua' into tg/next/1.0

commit ea7b0ed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    README: Add luasocket as a prerequisite
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 60dc92e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    playlist/: Use socket.url
    
    Replace use of "quvi/url" with "socket.url"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/playlist/soundcloud.lua
share/playlist/youtube.lua

commit d179554
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    media/: Use socket.url
    
    Replace use of "quvi/url" with "socket.url"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/academicearth.lua
share/media/arte.lua
share/media/break.lua
share/media/dailymotion.lua
share/media/gaskrank.lua
share/media/soundcloud.lua
share/media/vimeo.lua
share/media/youtube.lua

commit 519442b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    common/: Use socket.url
    
    Replace use of "quvi/url" with "socket.url"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/common/quvi/youtube.lua

commit 3293296
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    Remove quvi/url.lua
    
    "quvi/url" was copied from http://w3.impa.br/~diego/software/luasocket/
    which is licensed under the MIT license.
    
    Use socket.url (luasocket) in the scripts from now on. This adds a new
    prerequisite to libquvi-scripts, e.g.:
      $ aptitude install liblua5.1-socket2
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/Makefile.am
share/common/quvi/url.lua

commit cd147ad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-27

    Manual: Revise AUTHOR
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/libquvi-scripts.7.pod

commit 6f3f6b6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-16

    configure.ac: Revise AC_MSG_NOTICE output
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit ba25239
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-03

    FIX: media/youtube.lua: Use "sig" value with media stream URLs
    
    Use the "sig" value with media stream URLs if it is present. This patch
    ports the changes from libquvi-scripts 0.4.9 .
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

share/media/youtube.lua

commit 3630a39
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    Bump version to 0.4.9

m4/version.m4

commit b0effb8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    Update NEWS for 0.4.9

NEWS

commit 63024cb
Merge: 5a9928a 57722d1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    Merge branch 'tg/next/0.4_fixme_arte' into next

commit 57722d1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    expire.t: Skip all tests
    
    Both pluzz.lua and arte.lua need to be fixed now.

tests/t/expire.t

commit e815821
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    website/arte.lua: Mark as FIXME

share/Makefile.am

commit 5a9928a
Merge: 3bdcec9 6a7dada
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    Merge branch 'tg/next/0.4_fix_youjizz' into next

commit 6a7dada
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    tests: nsfw/youjizz.json: Update for thumbnail_url

tests/data/format/default/nsfw/youjizz.json

commit ebc42da
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    FIX: website/youjizz.lua
    
    Fix media {ID,media stream URL} parsing. Parse thumbnail URL.
    
    Signed-off-by: anon

share/lua/website/youjizz.lua

commit 3bdcec9
Merge: c623218 e6f6aa2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    Merge branch 'tg/next/0.4_fixme_collegehumor' into next

commit e6f6aa2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    tests: {default,other}/collegehumor*.json: Mark as FIXME

tests/data/format/default/collegehumor.json
tests/data/format/default/fixme/collegehumor.json
tests/data/format/other/collegehumor_best.json
tests/data/format/other/collegehumor_mp4_hq.json
tests/data/format/other/collegehumor_mp4_sd.json
tests/data/format/other/fixme/collegehumor_best.json
tests/data/format/other/fixme/collegehumor_mp4_hq.json
tests/data/format/other/fixme/collegehumor_mp4_sd.json

commit 4f65343
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-01

    collegehumor.lua: Mark as FIXME

share/Makefile.am

commit c623218
Merge: c681d03 dbd90b8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Merge branch 'tg/next/0.4_anon_contrib_nsfw' into next

commit dbd90b8
Merge: 9696d55 7fb3790
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Merge branch 'tg/next/0.4_anon_contrib_nsfw__xnxx' into tg/next/0.4_anon_contrib_nsfw

commit 7fb3790
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add tests:/nsfw/xnxx.json

tests/data/format/default/nsfw/xnxx.json

commit ac72d16
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add website/xnxx.lua (NSFW)
    
    Signed-off-by: anon

share/Makefile.am
share/lua/website/xnxx.lua

commit 9696d55
Merge: ca7b0e2 1a800a3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Merge branch 'tg/next/0.4_anon_contrib_nsfw__jizzhut' into tg/next/0.4_anon_contrib_nsfw

commit 1a800a3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add tests:/nsfw/jizzhut.json

tests/data/format/default/nsfw/jizzhut.json

commit d509b1b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add website/jizzhut.lua (NSFW)
    
    Signed-off-by: anon

share/Makefile.am
share/lua/website/jizzhut.lua

commit ca7b0e2
Merge: 6dd21a8 dc37f8a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Merge branch 'tg/next/0.4_anon_contrib_nsfw__fastjizz' into tg/next/0.4_anon_contrib_nsfw

commit dc37f8a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add tests:/nsfw/fastjizz.json

tests/data/format/default/nsfw/fastjizz.json

commit 9f1ce8b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add website/fastjizz.lua (NSFW)
    
    Signed-off-by: anon

share/Makefile.am
share/lua/website/fastjizz.lua

commit 6dd21a8
Merge: 871b840 0d8a3ce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Merge branch 'tg/next/0.4_anon_contrib_nsfw__deviantclip' into tg/next/0.4_anon_contrib_nsfw

commit 0d8a3ce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add tests:/nsfw/deviantclip.json

tests/data/format/default/nsfw/deviantclip.json

commit 1b12bc4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add website/deviantclip.lua (NSFW)
    
    Signed-off-by: anon

share/Makefile.am
share/lua/website/deviantclip.lua

commit 871b840
Merge: 9498be7 972fd55
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Merge branch 'tg/next/0.4_anon_contrib_nsfw__beeg' into tg/next/0.4_anon_contrib_nsfw

commit 972fd55
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add tests:/nsfw/beeg.json

tests/data/format/default/nsfw/beeg.json

commit 5d7233f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    Add website/beeg.lua (NSFW)
    
    Signed-off-by: anon

share/Makefile.am
share/lua/website/beeg.lua

commit 9498be7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    website/keezmovies.lua: Detect encrypted streams
    
    Check for encrypted streams.  Move website/keezmovies.lua
    from WITH_FIXME to WITH_NSFW.
    
    Signed-off-by: anon

share/Makefile.am
share/lua/website/keezmovies.lua

commit c681d03
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-27

    FIX: Add quvi/html.lua to DIST_lua
    
    Distribute libquvi-scripts with the quvi/html.lua file.

share/Makefile.am

commit 5b1c002
Author: Martin Herkt <lachs0r@hong-mailing.de>
Date:   2012-09-27

    Fix youtube.lua
    
    YouTube has added a new "signature" parameter to their playback URLs.
    Append this parameter to the URL if url_encoded_fmt_stream_map contains
    "sig".

share/lua/website/youtube.lua

commit 4849fa0
Merge: 01c0add eff525f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    Merge branch 'tg/next/1.0_cleanup_quvi_util.lua' into tg/next/1.0

commit eff525f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    quvi/util.lua: Remove unused match_any

share/common/quvi/util.lua

commit 1aae8b2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    quvi/util.lua: Remove unused choose_format
    
    C API: quvi_media_stream_select replaces this function.

share/common/quvi/util.lua

commit 01c0add
Merge: 59ae115 e75e297
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    Merge branch 'tg/next/1.0_can_parse_url' into tg/next/1.0

commit e75e297
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    Remove obsoleted quvi/accepts.lua

share/Makefile.am
share/common/quvi/accepts.lua

commit 8ba97d7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    playlist/youtube.lua: Rewrite for can_parse_url

share/playlist/youtube.lua

commit edbbf7c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    playlist/soundcloud.lua: Rewrite for can_parse_url

share/playlist/soundcloud.lua

commit ef9bccd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media/youtube.lua: Rewrite for can_parse_url

share/media/youtube.lua

commit fa1416f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media/vimeo.lua: Rewrite for can_parse_url

share/media/vimeo.lua

commit e336424
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media/soundcloud.lua: Rewrite for can_parse_url

share/media/soundcloud.lua

commit 07e6e23
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media/gaskrank.lua: Rewrite for can_parse_url

share/media/gaskrank.lua

commit 13273c0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media/dailymotion.lua: Rewrite for can_parse_url

share/media/dailymotion.lua

commit b17122f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media/break.lua: Rewrite for can_parse_url

share/media/break.lua

commit ccd7c11
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media/arte.lua: Rewrite for can_parse_url

share/media/arte.lua

commit 75272ae
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media/academicearth.lua: Rewrite for can_parse_url

share/media/academicearth.lua

commit 59ae115
Merge: 7b1887c 6bb7d1d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    Merge branch 'tg/next/1.0_no_categories' into tg/next/1.0

commit 6bb7d1d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media/*.lua: Do not specify "categories"

share/media/academicearth.lua
share/media/arte.lua
share/media/break.lua
share/media/dailymotion.lua
share/media/gaskrank.lua
share/media/soundcloud.lua
share/media/vimeo.lua
share/media/youtube.lua

commit 2a8f6af
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    quvi/const.lua: Remove media script protocol categories

share/common/quvi/const.lua

commit 7b1887c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-11

    README: License: Add quvi/url.lua note

README

commit 9b40bad
Merge: 2168275 427762e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-11

    Merge branch 'tg/next/1.0_use_intended_license' into tg/next/1.0

commit 427762e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-11

    tests/*.sh: Use the intended license

tests/find_tests.sh
tests/run_tests.sh

commit d92e110
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-11

    tests/scan/: Use the intended license

tests/scan/scan_youtube.c

commit 228814f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-11

    tests/playlist/: Use the intended license

tests/playlist/playlist_soundcloud.c
tests/playlist/playlist_youtube.c

commit 01e63d0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-11

    tests/media/: Use the intended license

tests/media/media_academicearth.c
tests/media/media_arte.c
tests/media/media_break.c
tests/media/media_dailymotion.c
tests/media/media_gaskrank.c
tests/media/media_soundcloud.c
tests/media/media_vimeo.c
tests/media/media_youtube.c

commit 6a79006
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-11

    tests/lib/: Use the intended license

tests/lib/env.c
tests/lib/fetch.c
tests/lib/qerr.c
tests/lib/qm_test.c
tests/lib/qp_test.c
tests/lib/qs_test.c
tests/lib/re.c
tests/lib/tests.h

commit 2168275
Merge: adfab02 0abe054
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-06

    Merge branch 'tg/next/1.0_add_more_protocol_categories' into tg/next/1.0

commit 0abe054
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-05

    media/youtube.lua: Set categories to HTTP family

share/media/youtube.lua

commit 57827d7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-04

    quvi/const.lua: Add more protocol categories

share/common/quvi/const.lua

commit ef333de
Merge: e657f45 424f9f1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-03

    Merge branch 'tg/next/0.4_add_tapuz' into next

commit 424f9f1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-03

    tests: format/default: Add tapuz.json

tests/data/format/default/tapuz.json

commit bc24554
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-03

    website/tapuz.lua: Add tapuz flix support
    
    ref: http://article.gmane.org/gmane.comp.web.flash.quvi/97

share/Makefile.am
share/lua/website/tapuz.lua

commit e657f45
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-21

    website/xvideos.lua: Improve title parsing (#109)
    
    The page <title> could be a truncated version of a longer description
    or a title. Grab the media title elsewhere.
    
    exu: http://www.xvideos.com/video2389960
    ref: http://sourceforge.net/apps/trac/quvi/ticket/109

share/lua/website/xvideos.lua

commit adfab02
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-21

    Manual: Revise

doc/man7/libquvi-scripts.7.pod

commit 965d8e8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-21

    autogen.sh: mkdir m4/

autogen.sh

commit 94ac387
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    Bump version to 0.4.8

m4/version.m4

commit b247883
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    README: Requirements: Add missing LuaExpat

README

commit d4fc3d8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    Update news for 0.4.8

NEWS

commit b8b7e6a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    tests: media_gaskrank.c: Add 2nd media URL to test

tests/media/media_gaskrank.c

commit 48ca011
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    FIXME: website/bloomberg.lua
    
    Mark the script as "FIXME".

share/Makefile.am
tests/data/format/default/bloomberg.json
tests/data/format/default/fixme/bloomberg.json

commit 0e08c5f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    FIX: media/gaskrank.lua: Parse media ID from stream URL

share/media/gaskrank.lua

commit bb53ee6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    tests: default/vimeo.json: Update expected results

tests/data/format/default/vimeo.json

commit ab33466
Merge: 16315df 66f8ce2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    Merge branch 'tg/next/1.0_new_gen-ver.sh' into tg/next/1.0

commit cc21d68
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    tests: default/soundcloud-2.json: Change media URL
    
    Replace the media URL that appears to be unavailable.

tests/data/format/default/soundcloud-2.json

commit 186b41e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    FIX: media/gaskrank.lua: Media ID, stream URL patterns
    
    Update the media stream URL pattern. Parse media ID from
    the media stream URL, instead. Croak if media title was
    not found.

share/lua/website/gaskrank.lua

commit 66f8ce2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    libquvi-scripts-0.9.pc: Use the gen-ver.sh returned value
    
    Use the gen-ver.sh returned value (without the 'v' prefix).

configure.ac
libquvi-scripts-0.9.pc.in

commit 32b7502
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    configure.ac: Run gen-ver.sh to get the version value
    
    Use the gen-ver.sh returned value with AC_INIT. Set VERSION_MM to the
    gen-ver.sh returned value. Remove unused AM_CONDITIONAL for HAVE_VN.

configure.ac

commit 7d5e2be
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    Makefile.am: Pass gen-ver.sh value as $1 to stamp.sh

Makefile.am

commit 37818d6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    stamp.sh: $1 is now the version value

stamp.sh

commit 6f9df34
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    m4/version.m4: Remove the now obsolete file

m4/version.m4

commit 0f0e160
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    gen-ver.sh: Rewrite completely
    
      * Use dirname(1) output
      * Add support for -c and -m options
      * Do not extract version from m4/version.m4

gen-ver.sh

commit 16315df
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    autogen.sh: -c option: Revise warning message

autogen.sh

commit 2ffd344
Author: Bastien Nocera <hadess@hadess.net>
Date:   2012-08-16

    souncloud.lua: Never offer placeholder as thumbnail

share/lua/website/soundcloud.lua

commit 2b6f553
Merge: e47e4fe 9b6bd3a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    Merge branch 'tg/next/1.0_rename_to_0.9' into tg/next/1.0

commit 9b6bd3a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-17

    configure.ac: Check for libquvi-0.9 instead

configure.ac

commit e47e4fe
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-14

    Revise README
    
    Rewrite README entirely, adding installation instructions and testsuite
    notes to it. This leaves the INSTALL file for GNU Autotools.

README

commit 85c3be0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    libquvi-scripts-1.0.pc.in: Rename to libquvi-scripts-0.9.pc.in

Makefile.am
configure.ac
libquvi-scripts-0.9.pc.in
libquvi-scripts-1.0.pc.in

commit 9b1f283
Merge: 9eba6b6 441ba51
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    Merge branch 'tg/next/1.0_add_new_testsuite' into tg/next/1.0
    
    Conflicts:
    	configure.ac
    	share/Makefile.am

commit 9eba6b6
Merge: fac3169 9c7afa3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    Merge branch 'tg/next/1.0_new_install_dir' into tg/next/1.0

commit 441ba51
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    Remove tests/data/ directory with all of its contents

tests/data/format/default/1tvru.json
tests/data/format/default/audioboo.json
tests/data/format/default/bloomberg.json
tests/data/format/default/break.json
tests/data/format/default/cbsnews.json
tests/data/format/default/charlierose.json
tests/data/format/default/clipfish.json
tests/data/format/default/collegehumor.json
tests/data/format/default/fixme/README
tests/data/format/default/fixme/bikeradar.json
tests/data/format/default/fixme/blip.json
tests/data/format/default/fixme/globo.json
tests/data/format/default/fixme/tube8.json
tests/data/format/default/foxnews.json
tests/data/format/default/funnyordie.json
tests/data/format/default/gaskrank.json
tests/data/format/default/golem.json
tests/data/format/default/guardian.json
tests/data/format/default/ignore/README
tests/data/format/default/ignore/length_bytes/dailymotion.json
tests/data/format/default/ignore/length_bytes/ted.json
tests/data/format/default/imdb.json
tests/data/format/default/justintv.json
tests/data/format/default/liveleak.json
tests/data/format/default/metacafe.json
tests/data/format/default/mgnetwork.json
tests/data/format/default/nlfy/sevenload.json
tests/data/format/default/nsfw/empflix.json
tests/data/format/default/nsfw/fixme/keezmovies.json
tests/data/format/default/nsfw/pornhub.json
tests/data/format/default/nsfw/redtube.json
tests/data/format/default/nsfw/spankwire.json
tests/data/format/default/nsfw/tcmag.json
tests/data/format/default/nsfw/tnaflix.json
tests/data/format/default/nsfw/totallynsfw.json
tests/data/format/default/nsfw/xhamster.json
tests/data/format/default/nsfw/xvideos.json
tests/data/format/default/nsfw/youjizz.json
tests/data/format/default/publicsenat-2.json
tests/data/format/default/publicsenat.json
tests/data/format/default/sapo-2.json
tests/data/format/default/sapo.json
tests/data/format/default/senat.json
tests/data/format/default/soundcloud-2.json
tests/data/format/default/soundcloud.json
tests/data/format/default/spiegel.json
tests/data/format/default/tagtele.json
tests/data/format/default/theonion.json
tests/data/format/default/theonion_2.json
tests/data/format/default/tmunderground.json
tests/data/format/default/tvlux.json
tests/data/format/default/videa.json
tests/data/format/default/videobash.json
tests/data/format/default/vimeo.json
tests/data/format/default/yfrog.json
tests/data/format/default/youtube.json
tests/data/format/default/youtube_starttime.json
tests/data/format/other/cbsnews_best.json
tests/data/format/other/cbsnews_m4v_1100k_480p.json
tests/data/format/other/cbsnews_m4v_386k_216p.json
tests/data/format/other/cbsnews_m4v_598k_360p.json
tests/data/format/other/cbsnews_mp4_1100k_480p.json
tests/data/format/other/cbsnews_mp4_500k_240p.json
tests/data/format/other/collegehumor_best.json
tests/data/format/other/collegehumor_mp4_hq.json
tests/data/format/other/collegehumor_mp4_sd.json
tests/data/format/other/fixme/blip_best.json
tests/data/format/other/fixme/blip_m4v_blip_sd_360p.json
tests/data/format/other/fixme/blip_mov_source_360p.json
tests/data/format/other/fixme/blip_mp3_web.json
tests/data/format/other/foxnews_best.json
tests/data/format/other/foxnews_high.json
tests/data/format/other/foxnews_low.json
tests/data/format/other/foxnews_med.json
tests/data/format/other/foxnews_med_low.json
tests/data/format/other/funnyordie_best.json
tests/data/format/other/funnyordie_mp4_ipad.json
tests/data/format/other/funnyordie_mp4_wifi.json
tests/data/format/other/golem_best.json
tests/data/format/other/golem_m4v_ipod_360p.json
tests/data/format/other/golem_mp4_high_540p.json
tests/data/format/other/golem_mp4_medium_270p.json
tests/data/format/other/ignore/README
tests/data/format/other/ignore/length_bytes/dailymotion_best.json
tests/data/format/other/ignore/length_bytes/dailymotion_mp4_384p.json
tests/data/format/other/ignore/length_bytes/dailymotion_mp4_480p.json
tests/data/format/other/ignore/length_bytes/dailymotion_mp4_720p.json
tests/data/format/other/imdb_480p.json
tests/data/format/other/imdb_720p.json
tests/data/format/other/imdb_SD.json
tests/data/format/other/imdb_best.json
tests/data/format/other/mgnetwork_best.json
tests/data/format/other/mgnetwork_mp4.json
tests/data/format/other/mgnetwork_xflv.json
tests/data/format/other/spiegel_best.json
tests/data/format/other/spiegel_flv_vp6_388k_135p.json
tests/data/format/other/spiegel_flv_vp6_576k_315p.json
tests/data/format/other/spiegel_flv_vp6_64k_135p.json
tests/data/format/other/spiegel_flv_vp6_928k_544p.json
tests/data/format/other/spiegel_mp4_h264_1400k_544p.json
tests/data/format/other/youtube_best.json
tests/data/format/other/youtube_fmt05_240p.json
tests/data/format/other/youtube_fmt18_360p.json
tests/data/format/other/youtube_fmt22_720p.json
tests/data/format/other/youtube_fmt34_360p.json
tests/data/format/other/youtube_fmt35_480p.json
tests/data/format/other/youtube_fmt37_1080p.json
tests/data/format/other/youtube_fmt38_1536p.json
tests/data/resolve/redirect_url_academicearth.json
tests/data/resolve/redirect_url_dorkly.json
tests/data/resolve/redirect_url_tcmag.json
tests/data/resolve/redirect_url_ted.json
tests/data/resolve/shortened.json

commit 9c7afa3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    libquvi-scripts-1.0.pc.in: Update versionfile path

libquvi-scripts-1.0.pc.in

commit c86312f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    Add tests/run_tests.sh
    
    This convenience script can be used to run the testsuite
    without having to set the environment variables manually.

tests/Makefile.am
tests/run_tests.sh

commit fb750c7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    Remove tests/README
    
    The $top_srcdir/README will contain the updated testsuite details.

tests/Makefile.am
tests/README

commit 5e2e883
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    Add tests/find_tests.sh
    
    This convenience script dumps found the test names.

tests/Makefile.am
tests/find_tests.sh

commit bc91cb7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    configure.ac: Revise --with-tests help string

configure.ac

commit 8918c14
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    configure.ac: Revise --with-manual help string

configure.ac

commit e675166
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    configure.ac: Revise --with-fixme help string

configure.ac

commit 264b983
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    configure.ac: Revise --with-nsfw help string

configure.ac

commit c2729ab
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    tests: media/media_arte.c: Check for TEST_GEOBLOCKED

tests/media/media_arte.c

commit 294954e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    media/arte.lua: Mark as "geoblocked"

share/Makefile.am

commit 18f5c62
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    tests: Add chk_geoblocked function

tests/lib/env.c
tests/lib/tests.h

commit 7b553eb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    share/Makefile.am: Add WITH_GEOBLOCKED blocks

share/Makefile.am

commit 51fd052
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    configure.ac: Replace --with-nlfy with --with-geoblocked

configure.ac

commit 9055771
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-14

    dist: Generate "version" file
    
    Generate the version file for the dist. Install the file along with the
    scripts to the versioned subdir in the destination directory.

share/Makefile.am

commit 7c74821
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-14

    Install: Symlink from VERSION to VERSION_MM dir

share/Makefile.am

commit d3d3988
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-14

    Install scripts to a new location

share/Makefile.am

commit c939796
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-14

    configure.ac: Add check for ln

configure.ac

commit ef6ba83
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-14

    gen-ver.sh: Update parsing from m4/version.m4

gen-ver.sh

commit 3ebda4e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-14

    configure.ac: Add VERSION_MM

configure.ac

commit 1f600c8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-14

    m4/version.m4: Define libquvi_scripts_r*

m4/version.m4

commit c670147
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-14

    Move share/lua/ contents to share/

configure.ac
share/Makefile.am
share/README
share/common/quvi/accepts.lua
share/common/quvi/bit.lua
share/common/quvi/const.lua
share/common/quvi/debug.lua
share/common/quvi/entity.lua
share/common/quvi/html.lua
share/common/quvi/lxph.lua
share/common/quvi/stream.lua
share/common/quvi/url.lua
share/common/quvi/util.lua
share/common/quvi/youtube.lua
share/lua/Makefile.am
share/lua/README
share/lua/common/quvi/accepts.lua
share/lua/common/quvi/bit.lua
share/lua/common/quvi/const.lua
share/lua/common/quvi/debug.lua
share/lua/common/quvi/entity.lua
share/lua/common/quvi/html.lua
share/lua/common/quvi/lxph.lua
share/lua/common/quvi/stream.lua
share/lua/common/quvi/url.lua
share/lua/common/quvi/util.lua
share/lua/common/quvi/youtube.lua
share/lua/media/academicearth.lua
share/lua/media/arte.lua
share/lua/media/break.lua
share/lua/media/dailymotion.lua
share/lua/media/gaskrank.lua
share/lua/media/soundcloud.lua
share/lua/media/vimeo.lua
share/lua/media/youtube.lua
share/lua/playlist/soundcloud.lua
share/lua/playlist/youtube.lua
share/lua/scan/youtube.lua
share/lua/util/convert_entities.lua
share/lua/util/resolve_redirections.lua
share/lua/util/to_file_ext.lua
share/media/academicearth.lua
share/media/arte.lua
share/media/break.lua
share/media/dailymotion.lua
share/media/gaskrank.lua
share/media/soundcloud.lua
share/media/vimeo.lua
share/media/youtube.lua
share/playlist/soundcloud.lua
share/playlist/youtube.lua
share/scan/youtube.lua
share/util/convert_entities.lua
share/util/resolve_redirections.lua
share/util/to_file_ext.lua
stamp.sh

commit baa62b2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    tests: Add scan/scan_youtube.c

tests/scan/scan_youtube.c

commit 7d97c4d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    tests: Add lib/qs_test.c

tests/lib/Makefile.am
tests/lib/qs_test.c
tests/lib/tests.h

commit b1e0756
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    tests: Add scan/youtube.mk

tests/scan/tests.mk
tests/scan/youtube.mk

commit 7089968
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    tests: Add scan/tests.mk to Makefile.am

tests/Makefile.am
tests/scan/tests.mk

commit 99b5fb1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    tests: TEST_SKIP: Allow use of regexp patterns
    
    Allow the comma-separated values to be regular expression patterns.
    This makes it possible to skip entire test groups, e.g. test_media_,
    instead of defining each test by hand.

tests/lib/env.c

commit fad8864
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-08

    Add CC and CFLAGS to AC_MSG_NOTICE output

configure.ac

commit 302254a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Add playlist/playlist_youtube.c

tests/playlist/playlist_youtube.c

commit ba06f7e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Add playlist/youtube.mk

tests/playlist/youtube.mk

commit 777718b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Add playlist/youtube.mk to playlist/tests.mk

tests/playlist/tests.mk

commit 973c34f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Add playlist/playlist_soundcloud.c

tests/playlist/playlist_soundcloud.c

commit c164b6a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Add playlist/soundcloud.mk

tests/playlist/soundcloud.mk

commit 0f054b4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Add playlist/soundcloud.mk to playlist/tests.mk

tests/playlist/tests.mk

commit 597f128
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Add lib/qp_tests.c, update lib/tests.h
    
    lib/qp_test.c: Implement the qp_test function.
    
    lib/tests.h: Define the qp_* macros, and add the qp_test
    function declaration. Move the defintions of the qm_* macros.

tests/lib/Makefile.am
tests/lib/qp_test.c
tests/lib/tests.h

commit 3a8e338
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests/Makefile.am: Add playlist/tests.mk

tests/Makefile.am

commit 4c21084
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: lib/qm_test: Check that >0 streams were returned

tests/lib/qm_test.c

commit a810b44
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: lib/qm_test.c: Use renamed QUVI_MEDIA_STREAM_PROPERTY_ID

tests/lib/qm_test.c

commit c6245bb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/media_soundcloud.c

tests/media/media_soundcloud.c

commit 73aab2c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/soundcloud.mk

tests/media/soundcloud.mk

commit 65cb28f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/soundcloud.mk to media/tests.mk

tests/media/tests.mk

commit 8e85932
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/media_arte.c

tests/media/media_arte.c

commit 8270972
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/arte.mk

tests/media/arte.mk

commit dd428bb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/arte.mk to media/tests.mk

tests/media/tests.mk

commit 376306d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    qm_test: Allow "exact" parameter to be a NULL

tests/lib/qm_test.c

commit e377998
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add regexp (capture, match), and fetch
    
    Add capture, match and fetch functions to the tests convenience library.

tests/lib/Makefile.am
tests/lib/fetch.c
tests/lib/re.c
tests/lib/tests.h

commit 3fa5cb0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: env.c: Rename chk to chk_env

tests/lib/env.c
tests/lib/tests.h

commit 0f4172a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    Make qm_test dump the quvi_errmsg

tests/lib/qm_test.c

commit 75ba354
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/media_academicearth.c

tests/media/media_academicearth.c

commit a945591
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/academicearth.mk

tests/media/academicearth.mk

commit e0f9e7c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/academicearth to media/tests.mk

tests/media/tests.mk

commit 09deff0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/media_vimeo.c

tests/media/media_vimeo.c

commit 86a8917
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/vimeo.mk

tests/media/vimeo.mk

commit 8066079
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/vimeo.mk to media/tests.mk

tests/media/tests.mk

commit 3c1c321
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/media_dailymotion.c

tests/media/media_dailymotion.c

commit f5102fd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/dailymotion.mk

tests/media/dailymotion.mk

commit faeb54f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/dailymotion.mk to media/tests.mk

tests/media/tests.mk

commit 1b0f22e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/media_break.c

tests/media/media_break.c

commit 3eeec21
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/break.mk

tests/media/break.mk

commit 8081719
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    tests: Add media/break.mk to media/tests.mk

tests/media/tests.mk

commit 9e446c7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    tests: Add media/media_youtube.c

tests/media/media_youtube.c

commit 10136c5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    tests: Add media/youtube.mk

tests/media/youtube.mk

commit d0aead2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    tests: Add media/youtube.mk to media/tests.mk

tests/media/tests.mk

commit 0ba845d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    tests: Add media/media_gaskrank.c

tests/media/media_gaskrank.c

commit 31af6d0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    tests: Add media/gaskrank.mk

tests/media/gaskrank.mk

commit adba8c8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    tests: Add media/gaskrank.mk to media/tests.mk

tests/media/tests.mk

commit 1cae051
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    Add tests.mk file

tests/media/tests.mk

commit 8db4a5f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    Add a convenience library to be used with tests

tests/lib/Makefile.am
tests/lib/env.c
tests/lib/qerr.c
tests/lib/qm_test.c
tests/lib/tests.h

commit 36f637e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    Add TEST_PROGS to tests/Makefile.am
    
    Updated 'test' target, add TEST_PROGS variable to be used with the
    'test' target.

tests/Makefile.am

commit 8f3eec8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    Makefile.am: Revise "test" target

Makefile.am

commit 2680ff9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    configure.ac: Add libtool, config header
    
    Add AC_CONFIG_SRCDIR and AC_CONFIG_HEADERS. Add LT_INIT and LT_PREREQ.
    Add tests/lib/Makefile.am to AC_CONFIG_FILES array.

configure.ac

commit f3109ba
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    Update .gitignore file
    
    Add more files from config.aux/ subdir. Add tests/lib/Makefile.in,
    config.h.in and files from m4/ subdir.

.gitignore

commit ff20c1f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    Remove tests/lib/ and tests/t/ subdirs
    
    These subdirs contained the old testsuite written in Perl.

tests/lib/Test/Quvi.pm
tests/t/d/url.t
tests/t/expire.t
tests/t/format_default.t
tests/t/format_other.t
tests/t/mem.t
tests/t/nosupport.t
tests/t/pod.t
tests/t/redirect.t
tests/t/shortened.t

commit dcf6128
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-02

    Remove find-tests.sh
    
    Remove old find-tests.sh script from the $top_srcdir. This will
    eventually be replaced by a new script in $top_srcdir/tests subdir.

Makefile.am
find-tests.sh

commit 85bcea7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-02

    configure.ac: Add conditional package checks
    
    Add a check for C compiler. Add conditional package checks for libquvi,
    libcurl and glib. Check for these packages only if the `--with-tests'
    switch is used with the configure script. The new testsuite will use
    these libraries.
    
    Remove also the unneeded program checks for quvi, prove and valgrind.
    The new testsuite will no longer use those programs.

configure.ac

commit 3ffb4db
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-02

    Clear tests/Makefile.am
    
    Clear tests/Makefile.am for the new testsuite.

tests/Makefile.am

commit fac3169
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    share/Makefile.am: Reorganize blocks, comments

share/Makefile.am

commit a5a3a47
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    playlist/youtube.lua: Add playlist title to TODO list

share/lua/playlist/youtube.lua

commit 090c4f8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    playlist/soundcloud.lua: Return playlist title

share/lua/playlist/soundcloud.lua

commit 20f3fae
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    playlist/youtube.lua: Add playlist thumbnail URL to TODO list

share/lua/playlist/youtube.lua

commit 3727d00
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    playlist/soundcloud. Return playlist thumbnail URL

share/lua/playlist/soundcloud.lua

commit 51fe7d7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    media/youtube.lua: Rename fmt_id to id

share/lua/media/youtube.lua

commit ca00a98
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    media/vimeo.lua: Rename fmt_id to id

share/lua/media/vimeo.lua

commit 6903425
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    media/dailymotion.lua: Rename fmt_id to id

share/lua/media/dailymotion.lua

commit f95532f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    media/arte.lua: Rename fmt_id to id

share/lua/media/arte.lua

commit 5878dea
Merge: cba034e bdf487d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    Merge branch 'tg/next/1.0_add_media_soundcloud' into tg/next/1.0

commit bdf487d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    Rewrite Soundcloud.normalize
    
    Rename variables, apply minor style changes.

share/lua/media/soundcloud.lua

commit ba00483
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    parse: Rewrite for qargs.streams
    
    Rewrite the 'parse' function for the qargs.streams. Make any properties
    that are considered 'optional' to be set either an empty string or 0.

share/lua/media/soundcloud.lua

commit 2433df1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    parse: Remove self.host_id
    
    This value is no longer expected by the library.

share/lua/media/soundcloud.lua

commit 6946e06
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    Remove obsolete query_formats function
    
    The library no longer supports the "query formats" feature.

share/lua/media/soundcloud.lua

commit c9977d1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    ident: Rewrite for quvi/accepts
    
    Use the 'accepts' function from the quvi/accepts module.

share/lua/media/soundcloud.lua

commit 0602100
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    ident: Remove r.domain and r.formats
    
    r.domain is no longer expected, r.formats was deprecated in 0.4 and
    removed in 1.0 .

share/lua/media/soundcloud.lua

commit cb0a1a7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    ident: Remove package.path
    
    The library will now take care of setting this.

share/lua/media/soundcloud.lua

commit 9f09cc4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    Move website/soundcloud.lua to media/

share/Makefile.am
share/lua/media/soundcloud.lua
share/lua/website/soundcloud.lua

commit cba034e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    FIX: media/vimeo.lua: Duration pattern

share/lua/media/vimeo.lua

commit 055625d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-06

    media/break.lua: Parse thumbnail URL

share/lua/media/break.lua

commit fa9ccb8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-05

    media/youtube.lua: Rewrite begin_param function
    
    Make the pattern more flexible, e.g. if the "%d+m" was missing, parsing of
    the seconds would still work.

share/lua/media/youtube.lua

commit 5bf1378
Merge: 32a4c2c c60db6b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    Merge branch 'tg/next/1.0_rename_protocol_categories' into tg/next/1.0

commit c60db6b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    media/*.lua: Use renamed media script protocol categories

share/lua/media/academicearth.lua
share/lua/media/arte.lua
share/lua/media/break.lua
share/lua/media/dailymotion.lua
share/lua/media/gaskrank.lua
share/lua/media/vimeo.lua
share/lua/media/youtube.lua

commit 70f3f22
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    quvi/const.lua: Rename media script protocol categories

share/lua/common/quvi/const.lua

commit 32a4c2c
Merge: c2f9671 89ef7a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    Merge branch 'tg/next/1.0_add_consts' into tg/next/1.0

commit 89ef7a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    playlist/youtube.lua: Use new const values

share/lua/playlist/youtube.lua

commit 6e17e99
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    playlist/soundcloud.lua: Use new const values

share/lua/playlist/soundcloud.lua

commit dc33c9d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    media/youtube.lua: Use new const values

share/lua/media/youtube.lua

commit b750b1d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    media/dailymotion.lua: Use new const values

share/lua/media/dailymotion.lua

commit 9b83dea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    media/arte.lua: Use new const values

share/lua/media/arte.lua

commit 3e1430b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    quvi/const.lua: Add quvi.fetch types and options
    
    Add these constants to be used with the scripts. This should give a
    clear list of available features and reduce the chance of using
    incorrect options with quvi.fetch function.
    
    Add notes and examples.

share/lua/common/quvi/const.lua

commit ee9b7fd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    tests: format/default: Add lego.json

tests/data/format/default/lego.json

commit c38aa05
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    Add website/lego.lua (#107)
    
    Adds support for city.lego.com .
    ref: http://sourceforge.net/apps/trac/quvi/ticket/107

share/Makefile.am
share/lua/website/lego.lua

commit 41e4bd9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    FIX: dailymotion.lua: sequence pattern (#108)
    
    Updates the sequence pattern to reflect the recent website changes.
    ref: http://sourceforge.net/apps/trac/quvi/ticket/108

share/lua/website/dailymotion.lua

commit c2f9671
Merge: dd7f278 62cd2f0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Merge branch 'tg/next/1.0_playlist_add_properties' into tg/next/1.0

commit 62cd2f0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    playlist/youtube.lua: Add TODO

share/lua/playlist/youtube.lua

commit 115be14
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    playlist/soundcloud.lua: Return media title

share/lua/playlist/soundcloud.lua

commit 4b2d593
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    playlist/soundcloud.lua: Return duration_ms

share/lua/playlist/soundcloud.lua

commit 15468a4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    playlist/youtube.lua: Return in qargs.media

share/lua/playlist/youtube.lua

commit 04a1065
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    playlist/soundcloud.lua: Return in qargs.media

share/lua/playlist/soundcloud.lua

commit dd7f278
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    FIX: media/dailymotion.lua: sequence pattern
    
    Update the sequence pattern to reflect the changes made to the website.

share/lua/media/dailymotion.lua

commit f4ae8b0
Merge: abaf3f8 a396554
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_port_media_academicearth.lua' into tg/next/1.0

commit a396554
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Update vim modeline

share/lua/media/academicearth.lua

commit a4c0c28
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Rewrite AcademicEarth.get_redirect_url as AcademicEarth.to_media_url

share/lua/media/academicearth.lua

commit 59485d4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Rewrite the parse function

share/lua/media/academicearth.lua

commit 3503997
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Remove query_formats function
    
    The 'query formats' feature is no longer supported by the library.

share/lua/media/academicearth.lua

commit 7e66fa5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    ident: Rewrite using quvi/accepts
    
    Use the 'accepts' function of the quvi/accepts module.

share/lua/media/academicearth.lua

commit c5652ba
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    ident: Remove r.formats
    
    This value was deprecated in 0.4 and removed in 1.0 .

share/lua/media/academicearth.lua

commit 244961e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    ident: Remove r.domain
    
    This value is no longer expected by the library.

share/lua/media/academicearth.lua

commit d0ed366
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    ident: Remove package.path
    
    The library takes care of setting this now.

share/lua/media/academicearth.lua

commit 2749947
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Move website/academicearth.lua to media/academicearth.lua

share/Makefile.am
share/lua/media/academicearth.lua
share/lua/website/academicearth.lua

commit abaf3f8
Merge: 4c9d046 bd3a520
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_add_scan_scripts' into tg/next/1.0

commit bd3a520
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Add scan/youtube.lua

share/Makefile.am
share/lua/scan/youtube.lua

commit 4c9d046
Merge: 1621f31 9bf82da
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_add_playlist_scripts' into tg/next/1.0

commit 9bf82da
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Add playlist/youtube.lua

share/Makefile.am
share/lua/playlist/youtube.lua

commit 907f529
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Add playlist/soundcloud.lua

share/Makefile.am
share/lua/playlist/soundcloud.lua

commit 1621f31
Merge: 04e0635 d91a708
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_port_media_scripts_from_0.4' into tg/next/1.0

commit d91a708
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Cleanup the NSFW, FIXME arrays
    
    Keep the scripts in the repo that require porting to 1.0, exclude them
    from the dist.

share/Makefile.am

commit 12d5de3
Merge: ff57516 e8404ff
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_port_media_youtube.lua' into tg/next/1.0_port_media_scripts_from_0.4
    
    Conflicts:
    	share/Makefile.am

commit ff57516
Merge: 153906d d09549f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_port_media_vimeo.lua' into tg/next/1.0_port_media_scripts_from_0.4
    
    Conflicts:
    	share/Makefile.am

commit 153906d
Merge: 5a5d682 813fb27
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_port_media_dailymotion.lua' into tg/next/1.0_port_media_scripts_from_0.4
    
    Conflicts:
    	share/Makefile.am

commit 5a5d682
Merge: 667da7a bc89c05
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_port_media_gaskrank.lua' into tg/next/1.0_port_media_scripts_from_0.4
    
    Conflicts:
    	share/Makefile.am

commit 667da7a
Merge: 1428e1f 6b988f8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_port_media_break.lua' into tg/next/1.0_port_media_scripts_from_0.4
    
    Conflicts:
    	share/Makefile.am

commit 1428e1f
Merge: 04e0635 713d8ed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_port_media_arte.lua' into tg/next/1.0_port_media_scripts_from_0.4

commit d09549f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Update vim modeline

share/lua/media/vimeo.lua

commit e5d7844
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite Vimeo.to_s as Vimeo.to_fmt_id
    
    Append the video encoding property to the ID.

share/lua/media/vimeo.lua

commit fe0b612
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Replace old Vimeo.choose_best with Vimeo.ch_best
    
    Remove the now obsolete Vimeo.choose_default, the new default is
    whatever is the first one in the qargs.streams list.

share/lua/media/vimeo.lua

commit 1518eff
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Add Vimeo.iter_streams function, remove old iteration
    
    Remove now obsolete Vimeo.get_config, Vimeo.iter_formats and Vimeo.to_url
    functions.

share/lua/media/vimeo.lua

commit 12ffdc4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    parse: Rewrite for qargs.streams

share/lua/media/vimeo.lua

commit 1a7544a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite Vimeo.normalize

share/lua/media/vimeo.lua

commit f9b1960
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    parse: Remove host_id
    
    This value is no longer expected by the library.

share/lua/media/vimeo.lua

commit 7bfe746
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Remove the query_formats function
    
    The 'query formats' feature is no longer supported by the library.

share/lua/media/vimeo.lua

commit 5f7fff4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Rewrite using quvi/accepts
    
    Use 'accepts' function from quvi/accepts module which is the old
    'handles' function from quvi/util module.

share/lua/media/vimeo.lua

commit 01b3137
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove r.formats
    
    This value was deprecated in 0.4 and removed in 1.0 .

share/lua/media/vimeo.lua

commit 903e290
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove r.domain
    
    This value is no longer expected by the library.

share/lua/media/vimeo.lua

commit 9dda1d0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove package.path
    
    The library now takes care of setting this.

share/lua/media/vimeo.lua

commit 3df2aac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Move website/vimeo.lua to media/vimeo.lua

share/Makefile.am
share/lua/media/vimeo.lua
share/lua/website/vimeo.lua

commit 713d8ed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite Arte.to_s as Arte.to_fmt_id
    
    Make minor style changes, and use the renamed variables.

share/lua/media/arte.lua

commit 124efa3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite Arte.choose_best as Arte.ch_best
    
    Remove Arte.choose_default which no longer has use. The default stream
    is the first one in the qargs.streams list.

share/lua/media/arte.lua

commit 7c82d76
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Make style changes to Arte.has_expire

share/lua/media/arte.lua

commit b69eb7c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Add Arte.iter_streams, replace old lang iteration
    
    This patch replaces the old language and format iteration scheme
    completely.

share/lua/media/arte.lua

commit f04286d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Add Arte.opt_properties function

share/lua/media/arte.lua

commit a211182
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite Arte.get_config

share/lua/media/arte.lua

commit 7f536fc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    parse: Rewrite for qargs.streams

share/lua/media/arte.lua

commit c2fb8cf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Remove the query_formats function
    
    The library no longer supports the 'query formats' feature.

share/lua/media/arte.lua

commit a745cf7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Rewrite for quvi/accepts
    
    Use the 'accepts' function from quvi/accepts which is essentially the
    same (but renamed and moved) function 'handles' from the quvi/util
    module.

share/lua/media/arte.lua

commit 314a558
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove r.formats
    
    This was deprecated in 0.4 and removed in 1.0 .

share/lua/media/arte.lua

commit 002b5a8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove r.domain
    
    The library no longer expects this value.

share/lua/media/arte.lua

commit e83f84d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove package.path
    
    The library takes care of setting this now.

share/lua/media/arte.lua

commit 1322129
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Move website/arte.lua to media/arte.lua

share/Makefile.am
share/lua/media/arte.lua
share/lua/website/arte.lua

commit 813fb27
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Update vim modeline

share/lua/media/dailymotion.lua

commit 6b988f8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Update vim modeline

share/lua/media/break.lua

commit c5ce42b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    parse: Rewrite for qargs.streams

share/lua/media/break.lua

commit 45c8b1e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    parse: Remove host_id
    
    The library no longer expects this value.

share/lua/media/break.lua

commit a4af79e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Remove the query_formats function
    
    The library no longer supports the 'query formats' feature.

share/lua/media/break.lua

commit 0384cf4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Rewrite for quvi/accepts
    
    Use the 'accepts' function from the quvi/accepts module. This is the old
    'handles' function (of quvi/util) that was moved and renamed.

share/lua/media/break.lua

commit 851113b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove r.formats
    
    This was deprecated in 0.4 and removed in 1.0 .

share/lua/media/break.lua

commit 9553818
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove r.domain
    
    The library no longer expects this value.

share/lua/media/break.lua

commit 9d88068
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove package.path
    
    The library now takes care of setting this.

share/lua/media/break.lua

commit f00f167
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Move website/break.lua to media/break.lua

share/Makefile.am
share/lua/media/break.lua
share/lua/website/break.lua

commit c0388bf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite Dailymotion.to_s as Dailymotion.to_fmt_id
    
    Make use of additional media properties, e.g. quality.

share/lua/media/dailymotion.lua

commit a133fdb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite Dailymotion.choose_best as Dailymotion.ch_best
    
    Remove Dailymotion.choose_default which has no longer use.

share/lua/media/dailymotion.lua

commit 0146215
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Add Dailymotion.cleanup function

share/lua/media/dailymotion.lua

commit 028f9ee
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite Dailymotion.iter_formats as Dailymotion.iter_streams

share/lua/media/dailymotion.lua

commit c097d31
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite the Dailymotion.fetch_page function
    
    Make minor style changes and rename variables.

share/lua/media/dailymotion.lua

commit a4f7d67
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Rewrite the Dailymotion.normalize function
    
    Make minor style changes and rename the page_url variable.

share/lua/media/dailymotion.lua

commit 81b3982
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    parse: Rewrite for qargs.streams

share/lua/media/dailymotion.lua

commit 51a2d12
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    parse: Remove the host_id
    
    The library no longer expects this value.

share/lua/media/dailymotion.lua

commit decabaa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Remove the query_formats function
    
    The 1.0 library no longer supports the 'query formats' feature.

share/lua/media/dailymotion.lua

commit 430b545
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Rewrite using the "accepts" function
    
    Use the 'accepts' function from the quvi/accepts module.

share/lua/media/dailymotion.lua

commit d3d4043
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove r.formats
    
    This was deprecated in 0.4 and removed in 1.0 .

share/lua/media/dailymotion.lua

commit 52c7e5c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove r.domain
    
    The library no longer expects this value.

share/lua/media/dailymotion.lua

commit 8fa38b9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    ident: Remove package.path
    
    The library takes care of this now.

share/lua/media/dailymotion.lua

commit 870a505
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-31

    Move website/dailymotion.lua to media/dailymotion.lua

share/Makefile.am
share/lua/media/dailymotion.lua
share/lua/website/dailymotion.lua

commit bc89c05
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Update vim modeline

share/lua/media/gaskrank.lua

commit a9908d7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    parse: Rewrite for qargs.stream
    
    Return all available streams in qargs.streams .

share/lua/media/gaskrank.lua

commit 1f1d7ce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    parse: Remove host_id
    
    The library no longer expects this value.

share/lua/media/gaskrank.lua

commit 9fa3b44
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Remove query_formats function
    
    The library no longer supports the 'query formats' feature.

share/lua/media/gaskrank.lua

commit df9e907
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    ident: Replace "handles" with "accepts"
    
    The 'handles' function was renamed to 'accepts', and moved to the
    quvi/accepts module.

share/lua/media/gaskrank.lua

commit feeb772
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    ident: Remove r.formats
    
    This has been deprecated since 0.4 .

share/lua/media/gaskrank.lua

commit 46da9b3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    ident: Remove r.domain
    
    r.domain is no longer supported.

share/lua/media/gaskrank.lua

commit db4d76c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    ident: Remove package.path
    
    Setting the package.path in media script is no longer required.

share/lua/media/gaskrank.lua

commit b2d1df1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Move website/gaskrank.lua to media/gaskrank.lua

share/Makefile.am
share/lua/media/gaskrank.lua
share/lua/website/gaskrank.lua

commit e8404ff
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Rename the remaining "self" variables to "qargs"

share/lua/media/youtube.lua

commit cd0a1ad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Update the vim modeline

share/lua/media/youtube.lua

commit 7bcab75
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Remove tests
    
    These were moved to quvi/youtube.lua module.

share/lua/media/youtube.lua

commit 47faa34
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Rewrite YouTube.to_s as YouTube.to_fmt_id
    
    This function makes also use of the additional media properties.

share/lua/media/youtube.lua

commit 5d5f30c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Remove the deprecated YouTube format ID conversion
    
    This has been deprecated since 0.4 and may be removed.

share/lua/media/youtube.lua

commit 6e5c2cb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Remove the unused YouTube.get_video_info function

share/lua/media/youtube.lua

commit 3ae7c25
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Rewrite YouTube.choose_best as YouTube.ch_best
    
    The library no longer expects the media scripts to set both 'default'
    and 'best' media streams. Instead, only the 'best' quality stream is set
    if there are >1 streams available. The media script is still responsible
    to determine the best media stream.
    
    NOTES:
      - Format IDs are now "media stream format IDs" ("fmt_id") which are used
        to identify the media streams (when there are >1)
    
      - If there is only one media stream available, it is not necessary to
        set any media stream format IDs ("fmt_id")
    
      - default stream is whatever the media script sets as the first stream
        in the returned qargs.streams
    
      - best is now a flag (boolean)

share/lua/media/youtube.lua

commit d1d1086
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Rewrite YouTube.iter_formats as YouTube.iter_streams
    
    This updated function parses also additional stream properties, e.g.
    the media container, the video encoding and the video height. These are
    optional properties, but since the server provides them, we parse and
    return them to the library.

share/lua/media/youtube.lua

commit 71578b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add YouTube.append_begin_param function
    
    This function is used to append the 'begin' parameter to the media
    stream URL, if the input URL included the #t= parameter. This function
    sets also the qargs.start_time_ms value which the library checks when
    returned.

share/lua/media/youtube.lua

commit cc22528
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add YouTube.parse_properties function
    
    As part of the libquvi 1.0 changes, the only mandatory media property is
    the media stream. This means that such media properties as title and ID
    may be set to empty strings if nothing is matched.

share/lua/media/youtube.lua

commit 65ec69b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Rewrite YouTube.get_config as YouTube.get_data

share/lua/media/youtube.lua

commit f7de683
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    parse: Rewrite the function

share/lua/media/youtube.lua

commit 1a7b63e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    parse: Remove host_id
    
    The host_id is no longer supported, and should be removed.

share/lua/media/youtube.lua

commit cab24c1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Remove query_formats function
    
    The library will no longer support the "query formats" feature, so the
    query_formats function in the media script should be removed.

share/lua/media/youtube.lua

commit d1df4c6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    ident: Replace "handles"
    
    The quvi/util "handles" function was renamed and moved to quvi/accepts
    module.

share/lua/media/youtube.lua

commit bd600fa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    ident: Import the "normalize" function from quvi/youtube
    
    The YouTube 'normalize' function was moved to an importable module.
    The YouTube.normalize function may be removed.

share/lua/media/youtube.lua

commit 32781f6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    ident: Remove r.formats
    
    This variable is no longer supported and should be removed.
    It has been deprecated since libquvi 0.4 .

share/lua/media/youtube.lua

commit 3ecc6b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    ident: Remove r.domain
    
    Setting this variable is no longer required and should be removed.

share/lua/media/youtube.lua

commit 4b63647
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    ident: Remove package.path
    
    Setting the package.path in the media scripts is no longer required. the
    library takes care of this.

share/lua/media/youtube.lua

commit f01d2ed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Move website/youtube.lua to media/youtube.lua

share/Makefile.am
share/lua/media/youtube.lua
share/lua/website/youtube.lua

commit 04e0635
Merge: 0d80876 d6c36cb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Merge branch 'tg/next/1.0_add_util_scripts' into tg/next/1.0

commit d6c36cb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add util/resolve_redirections.lua
    
    This script is used by the library (from the C side of the things) to
    workaround some issues that resolving URL redirections are known to be
    experienced with some of the websites.

share/Makefile.am
share/lua/util/resolve_redirections.lua

commit d247bb6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add util/convert_entities.lua
    
    This script is used by the library (from the C side of things) to
    convert any HTML entities to ASCII and UTF8.

share/Makefile.am
share/lua/util/convert_entities.lua

commit 2aad58a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Remove util/trim.lua
    
    This script is no longer used by the library.

share/Makefile.am
share/lua/util/trim.lua

commit a93fcf7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    util/to_file_ext.lua: Rename suffix_from_contenttype function

share/lua/util/to_file_ext.lua

commit a97e355
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Rename content_type.lua

share/Makefile.am
share/lua/util/content_type.lua
share/lua/util/to_file_ext.lua

commit 87d89eb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Remove util/charset.lua
    
    This script is no longer used by the library.

share/Makefile.am
share/lua/util/charset.lua

commit 0d80876
Merge: 1ea5af2 cf6564c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Merge branch 'tg/next/1.0_add_common_scripts' into tg/next/1.0

commit cf6564c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add quvi/youtube.lua
    
    Adds a new module quvi/youtube.lua that contains some of the shared
    functions that YouTube scripts (e.g. media, playlist) use.

share/Makefile.am
share/lua/common/quvi/youtube.lua

commit a24e0e3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add quvi/stream.lua
    
    Adds a new module to aid constructing the qargs.streams .

share/Makefile.am
share/lua/common/quvi/stream.lua

commit 8eace7e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add quvi/lxph.lua
    
    Adds a new module that may be used with lxp (LuaExpat).
      - http://www.keplerproject.org/luaexpat/

share/Makefile.am
share/lua/common/quvi/lxph.lua

commit 599de4b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add quvi/entity.lua
    
    Adds a new module quvi/entity.lua to aid in converting the standard
    HTML entities to ASCII and UTF8.

share/Makefile.am
share/lua/common/quvi/entity.lua

commit a87b198
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add quvi/debug.lua
    
    This module adds a few useful functions that may be used with the
    libquvi-scripts for debug output.

share/Makefile.am
share/lua/common/quvi/debug.lua

commit 472cfdf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Add quvi/accepts.lua
    
    This module adds the 'accepts' function which is essentially
    the renamed old 'handles' function of the quvi/util.lua . It will be
    used in the libquvi-scripts 1.0 instead of the old 'handles' function.

share/Makefile.am
share/lua/common/quvi/accepts.lua

commit 53a9fc0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    quvi/html.lua: Apply new style
    
    Make minor style changes to the code

share/lua/common/quvi/html.lua
share/lua/common/quvi/util.lua

commit 76607d4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    quvi/const.lua: Add proto_rtmpe

share/lua/common/quvi/const.lua

commit f0bdfce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    quvi/bit.lua: Apply new style
    
    Make minor changes to the code style.

share/lua/common/quvi/bit.lua

commit 6c51b8a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Move quvi/*.lua files to common/ subdir
    
    These importable modules are now located in the common/ subdir. Unlike
    in 0.4, these may be imported in other scripts, e.g. playlist and scan.

share/Makefile.am
share/lua/common/quvi/bit.lua
share/lua/common/quvi/const.lua
share/lua/common/quvi/html.lua
share/lua/common/quvi/url.lua
share/lua/common/quvi/util.lua
share/lua/website/quvi/bit.lua
share/lua/website/quvi/const.lua
share/lua/website/quvi/html.lua
share/lua/website/quvi/url.lua
share/lua/website/quvi/util.lua

commit 1ea5af2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-22

    stamp.sh: Add more search paths, make verbose
    
    Add common/, media/, playlist/, scan/ and util/ to search paths.
    Make the script a bit more verbose.

stamp.sh

commit f6bd090
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Bump version to 0.9.0
    
    Start the development of 1.0 from 0.9.0 .

m4/version.m4

commit 05f46c7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Rename m4/version.m4: _LIBQUVI_SCRIPTS_VERSION
    
    Rename _LIBQUVI_SCRIPTS_VERSION to libquvi_scripts_rel.
    Add new URLs to AC_INIT line in the configure.ac file.

configure.ac
m4/version.m4

commit b5e1712
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-30

    Do not keep INSTALL file in the repository
    
    Have GNU Autotools produce the default INSTALL file.

.gitignore
INSTALL

commit a9c661a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-22

    Rewrite lua/README

share/lua/README

commit dbc2ae0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-22

    Rename libquvi-scripts.pc

Makefile.am
configure.ac
libquvi-scripts-1.0.pc.in
libquvi-scripts.pc.in

commit 36c651d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-22

    configure.ac: Modernize automake options

configure.ac

commit 634a883
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-22

    autogen.sh: Run podchecker

autogen.sh

commit e4ae322
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-28

    FIX: 101greatgoals.lua: article pattern
    
    The pattern for the article was broken for:
      http://is.gd/MuYcm3
    
    Converted the original patch to apply.
    
    ref: http://article.gmane.org/gmane.comp.web.flash.quvi/89

share/lua/website/101greatgoals.lua

commit e5a0d97
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    totallynsfw.lua: Handle embedded media hosted elsewhere
    
    Some of the embedded media is hosted at pornhub. Redirect to different
    host if detected.
    
    * Do not handle the RSS feed URLs
    
    Thanks anon.

share/lua/website/totallynsfw.lua

commit 282632e
Author: Pierre Carrier <pierre@spotify.com>
Date:   2011-04-14

    Add support for BBC iPlayer (#28)
    
    Initial implementation based on get_iplayer, further tested and
    fixed by Bastien Nocera <hadess@hadess.net>.
    
    This version does not support live streams, or radio programmes.
    
    Full revision history available at:
    https://github.com/hadess/libquvi-scripts-iplayer/commits/master
    
    https://sourceforge.net/apps/trac/quvi/ticket/28

share/Makefile.am
share/lua/website/bbc.lua

commit 67ea69d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-18

    Bump version to 0.4.7

m4/version.m4

commit 06606d1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-18

    Update NEWS for v0.4.7

NEWS

commit 78817b8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-18

    FIX: gaskrank.lua: stream URL, ID patterns
    
    Update the patterns for media stream URL and ID, reflecting the recent
    changes made to the website.

share/lua/website/gaskrank.lua

commit 4e89cfb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-17

    tests: format/default: rm tvrain.json
    
    Remove tvrain.json altogether. The media URLs expire after a few days,
    it appears.

tests/data/format/default/tvrain.json

commit d35282e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-17

    tests: format/default: Update youtube*.json files
    
    Update YouTube JSONs reflecting the changes made in the commit aec0afa.

tests/data/format/default/youtube.json
tests/data/format/default/youtube_starttime.json

commit aec0afa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-17

    youtube.lua: Rewrite YouTube.choose_default
    
    Replace the old default behaviour:
      Choose the lowest quality available.
    With:
      Either whatever YouTube returns as the first,
      or whichever is of 480p and found first.

share/lua/website/youtube.lua

commit 7dfe322
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-17

    tests: format/default. Update videa.json
    
    Change expected content-type and file extension.

tests/data/format/default/videa.json

commit e192ca0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-15

    tests: format/default: Add justintv.json

tests/data/format/default/justintv.json

commit 86baf5d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-15

    Add support for justin.tv and twitch.tv (#99)
    
    ref: http://sourceforge.net/apps/trac/quvi/ticket/99

share/Makefile.am
share/lua/website/justintv.lua

commit 5c5cea7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-13

    tests: format/default/nsfw: Update redtube.json
    
    Replace the old test media URL which only returned a 'notfound.swf' file.

tests/data/format/default/nsfw/redtube.json

commit 8c8c0d3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-13

    tests: format/default: Update gaskrank.json
    
    Update the title reflecting the changes made to gaskrank.lua in
    52c6f6d.

tests/data/format/default/gaskrank.json

commit 1aaf74a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-12

    tests: format/default: Update tvrain.json
    
    Use updated test data reflecting the script changes made to tvrain.lua
    in 7bf1682.

tests/data/format/default/tvrain.json

commit 7dfbc1e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-12

    tvrain.lua: Change how media ID is parsed
    
    The old solution returned '-1' for media IDs. Parse media ID From the
    media URL, instead.

share/lua/website/tvrain.lua

commit 7bf1682
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   2012-07-11

    tvrain.lua: Adjust for new URL scheme on the site

share/lua/website/tvrain.lua

commit d7182ac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-10

    FIX: vimeo.lua:115: no match: qualities (#106)
    
    ref: http://sourceforge.net/apps/trac/quvi/ticket/106

share/lua/website/vimeo.lua

commit 52c6f6d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-01

    FIX: gaskrank.lua: title pattern

share/lua/website/gaskrank.lua

commit 8eded85
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-24

    dailymotion.lua: Make urlback pattern more liberal
    
    ref: http://article.gmane.org/gmane.comp.web.flash.quvi/61

share/lua/website/dailymotion.lua

commit 6afe8e9
Author: Till Maas <opensource@till.name>
Date:   2012-06-12

    Support spiegel.de with SEO URLs
    
    Support SEO URLs on spiegel.de with paths like
    /video/long-description-video-12345.html

share/lua/website/spiegel.lua

commit f0f8ad4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-10

    Update NEWS for v0.4.6

NEWS

commit e095cdb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-10

    Bump version to 0.4.6

m4/version.m4

commit 2fc90bf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-10

    FIX: ted.lua: Media stream URL pattern

share/lua/website/ted.lua

commit ee0866f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-10

    1tvru.json: Add missing thumbnail_url

tests/data/format/default/1tvru.json

commit 82b78df
Author: Mort Gerald <mort.gerald@gmail.com>
Date:   2012-06-07

    pornhub.lua: Media ID can be hexadecimal

share/lua/website/pornhub.lua

commit 6f3e8bd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-04

    FIX: xhamster.lua: server response code 404
    
    Fixes "error: server response code 404 (conncode=0)" with some
    of the videos.

share/lua/website/xhamster.lua

commit e7265b2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-03

    1tvru.lua: Make "pattern" function specific to this script

share/lua/website/1tvru.lua

commit 329a028
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   2012-06-03

    Add tvrain.json

tests/data/format/default/tvrain.json

commit 730720d
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   2012-06-03

    tvrain.lua: Add support for tvrain.ru

share/Makefile.am
share/lua/website/tvrain.lua

commit c182dc4
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   2012-06-02

    Add 1tvru.json

tests/data/format/default/1tvru.json

commit 82e3151
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   2012-06-02

    1tvru.lua: Add support for 1tv.ru

share/Makefile.am
share/lua/website/1tvru.lua

commit a42a34a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-02

    website/publicsenat.lua: Change handles path

share/lua/website/publicsenat.lua

commit 3825171
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-01

    FIX: website/collegehumor.lua: title pattern

share/lua/website/collegehumor.lua

commit 326bb54
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-01

    senat.lua: Use "libquvi-scripts" for project

share/lua/website/senat.lua

commit 0379cda
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-01

    publicsenat.json: Add thumbnail_url

tests/data/format/default/publicsenat.json

commit 42c1eac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-01

    Add publicsenat-2.json

tests/data/format/default/publicsenat-2.json

commit f329cde
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-01

    publicsenat.lua: Port Raphaël's v0.4.3 changes
    
      * Extend support for more recent media URLs
    
    Other changes:
      * Add thumbnail_url
    
    Test cases:
      * http://www.publicsenat.fr/vod/un-monde-de-bulles/speciale-journal-de-spirou/67141
      * http://www.publicsenat.fr/cms/video-a-la-demande/vod.html?idE=119298
    
    ref: http://article.gmane.org/gmane.comp.web.flash.quvi/45

share/lua/website/publicsenat.lua

commit 1e71767
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-01

    Add senat.json

tests/data/format/default/senat.json

commit 5cf4540
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-01

    senat.lua: Add support for senat.fr
    
    ref: http://article.gmane.org/gmane.comp.web.flash.quvi/46

share/Makefile.am
share/lua/website/senat.lua

commit 437b499
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-30

    Update NEWS for v0.4.5

NEWS

commit 73d7743
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-30

    Bump version to 0.4.5

m4/version.m4

commit 795b89c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-30

    website/canalplus.lua: Move variable definition

share/lua/website/canalplus.lua

commit 4c85604
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-30

    website/vimeo.lua: Prepend protocol scheme

share/lua/website/vimeo.lua

commit 8b2f943
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-29

    rm canalplus.json

tests/data/format/default/canalplus.json

commit 15a98b6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-29

    website/canalplus.lua: Check if expired
    
    Assuming empty config with the ID set to -1 means "expired".

share/lua/website/canalplus.lua

commit dc1eec7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-29

    tests: theonion.json: Add thumbnail_url

tests/data/format/default/theonion.json

commit 20c5c04
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-29

    tests: Move ted.json under "ignore:length_bytes

tests/data/format/default/ignore/length_bytes/ted.json
tests/data/format/default/ted.json

commit d8cfb16
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-29

    website/sapo.lua: Parse thumbnail_url

share/lua/website/sapo.lua
tests/data/format/default/sapo-2.json
tests/data/format/default/sapo.json

commit 3cda6d8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-29

    Add sapo-2.json

tests/data/format/default/sapo-2.json

commit efc2cdf
Author: Bastien Nocera <hadess@hadess.net>
Date:   2012-05-27

    Added 101greatgoals.lua

share/Makefile.am
share/lua/website/101greatgoals.lua

commit 84cb67d
Author: Bastien Nocera <hadess@hadess.net>
Date:   2012-05-27

    FIX: sapo.lua: ID, media stream URL and title
    
    None of ID, URL or title were getting matched with the current
    sapo.pt design.
    
    Example URL:
    http://videos.sapo.pt/JZOMcU6KPdZV7RTKIphP

share/lua/website/sapo.lua

commit 6c7ff99
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    tests/data/: Add new vimeo.json

tests/data/format/default/fixme/vimeo.json
tests/data/format/default/vimeo.json
tests/data/format/other/fixme/vimeo_best.json
tests/data/format/other/fixme/vimeo_hd.json
tests/data/format/other/fixme/vimeo_sd.json

commit a775ddf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    vimeo.lua: Check for "qualities" property

share/lua/website/vimeo.lua

commit 05852c8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    share/Makefile.am: Add vimeo.lua

share/Makefile.am

commit a7073f1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    FIX: vimeo.lua: Title parsing
    
    JSON may contain escaped characters, e.g. double-quotation
    marks (").

share/lua/website/vimeo.lua

commit 694ff91
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    Add website/redtube.lua (and redtube.json)
    
    Thanks to the anonymous contributor.

share/Makefile.am
share/lua/website/redtube.lua
tests/data/format/default/nsfw/redtube.json

commit 4f811dd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    FIX: vimeo.lua (#97)
    
    Many thanks to the contributor whom wishes to remain anonymous.
    
      * https://sourceforge.net/apps/trac/quvi/ticket/97

share/lua/website/vimeo.lua

commit 8fa7311
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    Add theonion_2.json

tests/data/format/default/theonion_2.json

commit 70dfaab
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    FIX: theonion.lua

share/lua/website/theonion.lua

commit 26550e0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-28

    gen-news.sh: Use --shortstat

gen-news.sh

commit b8daac7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-27

    canalplus.lua: choose_*: Use array index instead

share/lua/website/canalplus.lua

commit 1f57a3a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-27

    canalplus.lua: redirect_url: If hosted elsewhere

share/lua/website/canalplus.lua

commit 3651b04
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-27

    canalplus.lua: media ID: Remove if-then-block

share/lua/website/canalplus.lua

commit 7d6758d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-22

    Move mem.t under WITH_FIXME

tests/Makefile.am

commit 5b9cfc6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-22

    pluzz.lua, francetelevisions.lua: Mark as FIXME

share/Makefile.am
tests/t/expire.t

commit 64e0758
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    Add canalplus.json

tests/data/format/default/canalplus.json

commit d146867
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    ted.json: Update length_bytes

tests/data/format/default/ted.json

commit abc096d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    Add empflix.json

tests/data/format/default/nsfw/empflix.json

commit 888a3ed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    blip.lua: Mark as FIXME
    
      * http://sourceforge.net/apps/trac/quvi/ticket/98

share/Makefile.am
tests/data/format/default/blip.json
tests/data/format/default/fixme/blip.json
tests/data/format/other/blip_best.json
tests/data/format/other/blip_m4v_blip_sd_360p.json
tests/data/format/other/blip_mov_source_360p.json
tests/data/format/other/blip_mp3_web.json
tests/data/format/other/fixme/blip_best.json
tests/data/format/other/fixme/blip_m4v_blip_sd_360p.json
tests/data/format/other/fixme/blip_mov_source_360p.json
tests/data/format/other/fixme/blip_mp3_web.json

commit b973bed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    videobash.json: Add thumbnail_url

tests/data/format/default/videobash.json

commit 1867d4f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    FIX: pornhub.lua: media title, stream URL parsing

share/lua/website/pornhub.lua

commit 4337407
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    keezmovies.lua: Mark as FIXME
    
      * Media stream URL is encrypted

share/Makefile.am
tests/data/format/default/nsfw/fixme/keezmovies.json
tests/data/format/default/nsfw/keezmovies.json

commit 471e73d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    FIX: videobash.lua: media URL parsing

share/lua/website/videobash.lua

commit 8f38fe6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    rm google.lua: video.google.com is no more

share/Makefile.am
share/lua/website/google.lua
tests/data/format/default/google.json

commit 3dae8bd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    rm funnyhub.lua: Videos no more [?]

share/Makefile.am
share/lua/website/funnyhub.lua
tests/data/format/default/funnyhub.json

commit 8f20c68
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    vimeo.lua: Mark as FIXME

share/Makefile.am
tests/Makefile.am
tests/data/format/default/fixme/vimeo.json
tests/data/format/default/vimeo.json
tests/data/format/other/fixme/vimeo_best.json
tests/data/format/other/fixme/vimeo_hd.json
tests/data/format/other/fixme/vimeo_sd.json
tests/data/format/other/vimeo_best.json
tests/data/format/other/vimeo_hd.json
tests/data/format/other/vimeo_sd.json

commit 0223bd8
Author: Bastien Nocera <hadess@hadess.net>
Date:   2012-04-24

    dailymotion: Fix overeager ID fetching
    
    On this page:
    http://dailymotion.com/video/xpdcti
    the ID contained "?autoplay=1" followed by a number of unrelated lines

share/lua/website/dailymotion.lua

commit 7427026
Author: PaulK <contact@paulk.fr>
Date:   2012-03-10

    Makefile changes for canalplus.lua

share/Makefile.am

commit ed6877d
Author: PaulK <contact@paulk.fr>
Date:   2012-03-10

    Added canalplus.lua

share/lua/website/canalplus.lua

commit cb2de3c
Author: PaulK <contact@paulk.fr>
Date:   2012-04-20

    Added support for empflix.com (NSFW website)

share/Makefile.am
share/lua/website/empflix.lua

commit d1ac468
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-30

    Lower AC_PREREQ to 2.67

configure.ac

commit 6d9d7d0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-27

    gen-news.sh: Add stat

gen-news.sh

commit 460c506
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-27

    mem.t: Replace obsolete megavideo URLs

tests/t/mem.t

commit f20e6e4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-23

    Update NEWS for v0.4.4

NEWS

commit 6f119ee
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-23

    Bump version to 0.4.4

m4/version.m4

commit 325b20e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-20

    FIX: dailymotion.lua: Issue with some videos (#92)
    
    "PANIC: unprotected error in call to Lua API (.../content_type.lua:30:
    content-type cannot be "text/html; charset=utf-8" for a video. The
    script for this website is either buggy or incomplete.)"
    
      * sourceforge.net/apps/trac/quvi/ticket/92

share/lua/website/dailymotion.lua

commit 04f0284
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-18

    FIX: Lua 5.2: Use the # operator instead (#89)
    
    Replace table.getn with the new "length" (#) operator.
    
      * http://sourceforge.net/apps/trac/quvi/ticket/89

share/lua/website/quvi/url.lua

commit b5ae4e1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-18

    FIX: Lua-5.2: Use gmatch instead of gfind (#89)
    
     * http://sourceforge.net/apps/trac/quvi/ticket/89

share/lua/website/arte.lua
share/lua/website/blip.lua
share/lua/website/cbsnews.lua
share/lua/website/dailymotion.lua
share/lua/website/foxnews.lua
share/lua/website/funnyordie.lua
share/lua/website/golem.lua
share/lua/website/guardian.lua
share/lua/website/imdb.lua
share/lua/website/mgnetwork.lua
share/lua/website/quvi/util.lua
share/lua/website/soundcloud.lua
share/lua/website/spiegel.lua
share/lua/website/youtube.lua

commit f2c7ce6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-18

    Move clipfish.json from NLFY

tests/data/format/default/clipfish.json
tests/data/format/default/nlfy/clipfish.json

commit 6d64461
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-18

    FIXME: bikeradar.lua

share/Makefile.am
tests/data/format/default/bikeradar.json
tests/data/format/default/fixme/bikeradar.json

commit 56855b5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-18

    Update clipfish.json

tests/data/format/default/nlfy/clipfish.json

commit 457431a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    content_type.lua: Rewrite using "foo:match"

share/lua/util/content_type.lua

commit 54c167d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    charset.lua: Use "foo:match" instead

share/lua/util/charset.lua

commit 9c1e994
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    globo.lua: Use "foo:match" instead

share/lua/website/globo.lua

commit 207422f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    dailymotion.lua: Use "foo:match" instead

share/lua/website/dailymotion.lua

commit a2b9c88
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    google.lua: Use "foo:match" instead

share/lua/website/google.lua

commit ba7bf48
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    foxnews.lua: Use "foo:match" instead

share/lua/website/foxnews.lua

commit 6844f7a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    bikeradar.lua: Use "foo:match" instead

share/lua/website/bikeradar.lua

commit 5fb6fbb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    charlierose.lua: Use "foo:match" instead

share/lua/website/charlierose.lua

commit 9e2ae5d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    youjizz.lua: Use "foo:match" instead

share/lua/website/youjizz.lua

commit 8a8353a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    xhamster.lua: Use "foo:match" instead

share/lua/website/xhamster.lua

commit a6d4e04
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    cbsnews.lua: Use "foo:match" instead

share/lua/website/cbsnews.lua

commit 98e104c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    sapo.lua: Use "foo:match" instead
    
    Other changes:
      * Remove obsolete rtmp check
      * Remove path from U.handles

share/lua/website/sapo.lua

commit 30940c4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    liveleak.lua: Use "foo:match" instead

share/lua/website/liveleak.lua

commit e2e584e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    funnyhub.lua: Use "foo:match" instead

share/lua/website/funnyhub.lua

commit 5cbe7fb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    vimeo.lua: Use "foo:match" instead

share/lua/website/vimeo.lua

commit 24acdcc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    theonion.lua: Use "foo:match" instead

share/lua/website/theonion.lua

commit b3ca28a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    collegehumor.lua: Use "foo:match" instead

share/lua/website/collegehumor.lua

commit cda2cdd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    spankwire.lua: Use "foo:match" instead

share/lua/website/spankwire.lua

commit 05edfb5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    blip.lua: Use "foo:match" instead

share/lua/website/blip.lua

commit b10fb31
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    francetelevisions.lua: Use "foo:match" instead

share/lua/website/francetelevisions.lua

commit 0052c94
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    videobash.lua: Use "foo:match" instead

share/lua/website/videobash.lua

commit 7a366fd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    tagtele.lua: Use "foo:match" instead

share/lua/website/tagtele.lua

commit 7a011c7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    youtube.lua: Use "foo:match" instead

share/lua/website/youtube.lua

commit 57703c2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    break.lua: Use "foo:match" instead

share/lua/website/break.lua

commit 3b0c9c5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    xvideos.lua: Use "foo:match" instead
    
    Other changes:
      * Tweak path pattern used with U.handles
      * Grab media ID from page URL instead

share/lua/website/xvideos.lua

commit bb8bf4c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    FIX: clipfish.lua: Use new config URL
    
    Other changes:
      * Use "foo:match" instead

share/lua/website/clipfish.lua

commit 2273a88
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    academicearth.lua: Use "foo:match" instead

share/lua/website/academicearth.lua

commit 5b029b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    tube8.lua: Use "foo:match" instead

share/lua/website/tube8.lua

commit a5e3b25
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    arte.lua: Use "foo:match" instead

share/lua/website/arte.lua

commit 7882b89
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    tmunderground.lua: Use "foo:match" instead

share/lua/website/tmunderground.lua

commit ca3208c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-17

    golem.lua: Use "foo:match" instead

share/lua/website/golem.lua

commit 82749fb
